Lua_StarTrialStarItem = class("Lua_StarTrialStarItem", Lua_ListCell);
function Lua_StarTrialStarItem:ctor(p)
	self:superCall("ctor", p);
end

function Lua_StarTrialStarItem:buildShowItem()
	self:superCall("buildShowItem");

	self.starIcon = UICreate.createUIAtlasImage(self.content, "starTrial_altas", "xui_xhd_label_010", 130, 0, 0, 0);

	self.desText = UICreate.createLabel(self.content, "", -148, 0, 100, 31, 22);
	self.desText.pivotValue = 3;
	self.desText.alignmentValue = 3;
	self.desText.horizontalOverflowValue = 1;
	self.desText.fontName = "huakang_font";
end

function Lua_StarTrialStarItem:setData(data)
	self._data = data;
	
	if data.isNotGet == false then
		self.starIcon:setAltas("starTrial_altas", "xui_xhd_label_002");
		self.desText.text = data.data.desc;
		self.desText.colorStr = Lua_ColorDefine.transColorStr("2ce654");
	else
		self.starIcon:setAltas("starTrial_altas", "xui_xhd_label_010");
		self.desText.text = data.data.desc;
		self.desText.colorStr = Lua_ColorDefine.transColorStr("fffff3");
	end
end

function Lua_StarTrialStarItem:dispose()
	if self.starIcon ~= nil then
		self.starIcon:dispose();
		self.starIcon = nil;
	end
	if self.desText ~= nil then
		self.desText:dispose();
		self.desText = nil;
	end
	self._data = nil;
	
	self:superCall("dispose");
end