--联盟系统 联盟boss关卡信息Vo
Lua_AllianceBossStageVo = class("Lua_AllianceBossStageVo");

function Lua_AllianceBossStageVo:ctor(id, config)
	self.id = id;
	self.config = config;
	if self.config == nil then
		self.config = getConfig("league_boss", self.id);
	end
end

function Lua_AllianceBossStageVo:dispose()
end

function Lua_AllianceBossStageVo.Get:monsterPlayerData()
	if self._monsterPlayerData == nil then
		self._monsterPlayerData = Lua_MonsterPlayerConfigData.getConfigData(self.monster_id);
	end
	return self._monsterPlayerData;
end

function Lua_AllianceBossStageVo.Get:monsterData()
	if self._monsterData == nil then
		local monsterId = self.monsterPlayerData.fighter_list[1][1][1];
		self._monsterData = Lua_MonsterConfigData.getMonsterConfig(monsterId);
	end
	return self._monsterData;
end

function Lua_AllianceBossStageVo.Get:monsterVo()
	if self._monsterVo == nil then
		self._monsterVo = self.monsterData.heroVo
		self._monsterVo.uiSceneId = Lua_SceneDefine.LEAGUE_BOSS;
	end
	return self._monsterVo;
end

-------------------配置数据-------------------
function Lua_AllianceBossStageVo.Get:name()--关卡名
	return self.config.name;
end

function Lua_AllianceBossStageVo.Get:monster_id()--怪物id
	return self.config.monster_id;
end

function Lua_AllianceBossStageVo.Get:fight_id()--战斗id
	return self.config.fight_id;
end

function Lua_AllianceBossStageVo.Get:fight_reward()--挑战奖励
	return self.config.fight_reward;
end

function Lua_AllianceBossStageVo.Get:kill_reward()--首次击杀奖励
	return self.config.kill_reward;
end

function Lua_AllianceBossStageVo.Get:second_kill_reward()--首次击杀奖励
	return self.config.second_kill_reward;
end

function Lua_AllianceBossStageVo.Get:fight_log()--挑战日志id
	return self.config.fight_log;
end

function Lua_AllianceBossStageVo.Get:kill_log()--击杀日志id
	return self.config.kill_log;
end