checkRequire("Lua_ChatUtil");
Lua_ChatChanelItem = class("Lua_ChatChanelItem",Lua_ListCell)
function Lua_ChatChanelItem:ctor(p)
    self:superCall("ctor",p,"ChatChanelItem_skin");
end

function Lua_ChatChanelItem:buildShowItem()
    self:superCall("buildShowItem");
    
    self.bg:SetDimensions(178, 77);
    self.redDot:setEnable(false);
    self.chatCount:setEnable(false)
end

function Lua_ChatChanelItem:dispose()
    self.data = nil;
    self:superCall("dispose");
end

function Lua_ChatChanelItem:setData(data)
    self.data = Lua_ChatChannelData.getConfigDataById(data);
    self.btnTxt.text = self.data.channelName;
    self:setSelected();
end

function Lua_ChatChanelItem:onPressClick()
    Lua_MsgUtil.callFunc("CHAT_CHANEL_CHANGE", self.data.channel);
end

function Lua_ChatChanelItem:setSelected()
    local count = DataCenter.chatData:getChannelNewMsgNum(self.data.channel);
    if count ~= 0 then
        if count > 99 then
            count = "99";
        end
        self.chatCount.text = count;
        if self.data.channel == Lua_ChatData.CHANNEL_FRIEND then--私聊
            self.redDot:SetDimensions(57, 48);
            self.redDot:setLocation(63, 18, 0);
            self.redDot:setAltas("chat_atlas","ui_liaotian_button_010");

            self.chatCount:setLocation(57, 17.5, 0);
            self.chatCount.colorStr = Lua_ColorDefine.transColorStr("6d3513");
        else
            self.redDot:SetDimensions(39, 38);
            self.redDot:setLocation(74, 21, 0);
            self.redDot:setAltas("common_altas_1","ui_liaotian_button_009_n");
            
            self.chatCount:setLocation(74, 21, 0);
            self.chatCount.colorStr = Lua_ColorDefine.transColorStr("ebe5d9");
        end
        self.redDot:setEnable(true);
        self.chatCount:setEnable(true)
    else
        self.redDot:setEnable(false);
        self.chatCount:setEnable(false)
    end

	if DataCenter.chatData.openChannelTag == self.data.channel then
        self.btnTxt.colorStr = Lua_ColorDefine.transColorStr("8B5E34");
        self.bg:setEnable(true);
	else
        self.btnTxt.colorStr = Lua_ColorDefine.transColorStr("C9C9BE");
        self.bg:setEnable(false);
	end
end