Lua_MenuPopListData = class("Lua_MenuPopListData");
-------------------- 巅峰对决分享 --------------------
Lua_MenuPopListData.PD_SHARE_WORLD = "PD_SHARE_WORLD"; -- 世界频道
Lua_MenuPopListData.PD_SHARE_ALLIANCE = "PD_SHARE_ALLIANCE"; -- 联盟频道
Lua_MenuPopListData.PD_SHARE_CORSS_SERVER = "PD_SHARE_CORSS_SERVER"; -- 跨服频道

function Lua_MenuPopListData:ctor(munuType, params, btnEnable)
	self.munuType = munuType;
	self.params = params;
	self.btnEnable = btnEnable == nil and true or false; -- 是否可点击（不可点击时，按钮应该置灰）
	self.owner = self;
	self.callBack = self.clickHandler;
end

function Lua_MenuPopListData:dispose()
	self.owner = nil;
	self.params = nil;
	self.callBack = nil;
end

function Lua_MenuPopListData.getBtnLabel(munuType)
	if munuType == Lua_MenuPopListData.PD_SHARE_WORLD then
		return LanUtil.getValue(171033);
	elseif munuType == Lua_MenuPopListData.PD_SHARE_ALLIANCE then
		return LanUtil.getValue(171034);
	elseif munuType == Lua_MenuPopListData.PD_SHARE_CORSS_SERVER then
		return LanUtil.getValue(171037);
	end
end

function Lua_MenuPopListData:clickHandler()
	if self.munuType == Lua_MenuPopListData.PD_SHARE_WORLD then
		self:onPDShare(Lua_ChatData.CHANNEL_WORLD);
	elseif self.munuType == Lua_MenuPopListData.PD_SHARE_ALLIANCE then
		self:onPDShare(Lua_ChatData.CHANNEL_LEAGUE);
	elseif self.munuType == Lua_MenuPopListData.PD_SHARE_CORSS_SERVER then
		self:onPDShare(Lua_ChatData.CHANNEL_CROSS_SERVER);
	end
	Lua_WindowUtil.openWin("Lua_MenuPopListWindow", Lua_WinParam.ACTION_CLOSE);
end

function Lua_MenuPopListData:onPDShare(channel)
    DataCenter.chatData:setChatShowItem(Lua_ChatData.CONTENT_PEAKDUEL_RECORD, self.params);
    Lua_ChatUtil.sendMsg(channel, LanUtil.getValue(202949), false, true);
end