--跨服时空
checkRequire("Lua_CrossServerUtil");
checkRequire("Lua_CrossServerData");
Lua_CrossServerProxy = class("Lua_CrossServerProxy");
function Lua_CrossServerProxy:ctor()
	DataCenter.crossServerUtil = Lua_CrossServerUtil.new();
	DataCenter.crossServerData = Lua_CrossServerData.new();

	Lua_MsgUtil.addLuaMsg(50198001, self, self.rCrossServerInfo);
end

-- 获取跨服时空信息(返回)
function Lua_CrossServerProxy:rCrossServerInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50198001();
		msg:ParseFromString(mp.data);
		DataCenter.crossServerData:fromServer50198001(msg);
		Lua_MsgUtil.callFunc("CROSS_SERVER_INFO");
	end
end



-- 请求跨服时空信息
function Lua_CrossServerProxy:sCrossServerInfo(id)
	local cmd = ProtoPublic_pb.Proto10198001();
	cmd.id = id;
	sendMsg(10198001, cmd);
end