Lua_HeroWeaponVo = class("Lua_HeroWeaponVo")
function Lua_HeroWeaponVo:ctor(id, config)
	self.id = id
	self._config = config
end

function Lua_HeroWeaponVo.Get:config()
	if self._config == nil then
		self._config = getConfig("hero_weapon", self.id)
	end
	return self._config
end

-------------------- 配置数据 --------------------

function Lua_HeroWeaponVo.Get:name()
	return self.config.name
end

function Lua_HeroWeaponVo.Get:level()
	return self.config.level or 0
end

function Lua_HeroWeaponVo.Get:next_id()
	return self.config.next_id or 0
end

function Lua_HeroWeaponVo.Get:skill()
	return self.config.skill
end

function Lua_HeroWeaponVo.Get:prop()
	return self.config.prop
end

function Lua_HeroWeaponVo.Get:unlock_material()
	return self.config.unlock_material
end

function Lua_HeroWeaponVo.Get:upgrade_material()
	return self.config.upgrade_material
end

function Lua_HeroWeaponVo.Get:hero_material()
	return self.config.hero_material
end

function Lua_HeroWeaponVo.Get:des()
	return self.config.des
end

function Lua_HeroWeaponVo.Get:show_tips()
	return self.config.show_tips
end

function Lua_HeroWeaponVo.Get:score()
	return self.config.score or 0
end

-- jta代替ID
function Lua_HeroWeaponVo.Get:jid()
	return self.config.jid
end

function Lua_HeroWeaponVo.Get:modelUrl()
	if self._modelUrl == nil then
		self._modelUrl = LanUtil.StringProfile("/model/hero_weapon/", self.jid);
	end
	return self._modelUrl
end

-- 模型名
function Lua_HeroWeaponVo.Get:modelSrc()
	return self.config.modelSrc
end

function Lua_HeroWeaponVo.Get:uiSceneId()
	return self.config.uiSceneId
end

function Lua_HeroWeaponVo.Get:uiModelUrl()
	if self._uiModelUrl == nil then
		self._uiModelUrl = LanUtil.StringProfile("/model/hero_weapon/", self.uiModelSrc);
	end
	return self._uiModelUrl;
end

function Lua_HeroWeaponVo.Get:uiModelSrc()
	return self.config.uiModelSrc
end

function Lua_HeroWeaponVo.Get:uiModelAvatarName()
	return self.config.uiModelAvatarName
end

function Lua_HeroWeaponVo.Get:uiModelCamController()
	return self.config.uiModelCamController
end

function Lua_HeroWeaponVo.Get:uiModelScale()
    return self.config.uiModelScale or 1;
end

function Lua_HeroWeaponVo.Get:showActEffs()
	return self.config.showActEffs
end

function Lua_HeroWeaponVo.Get:poseActEffs()
	return self.config.poseActEffs
end

function Lua_HeroWeaponVo.Get:uiShowAct()
	if self.config.uiShowAct == nil then
		return Lua_ThingDefine.UIWAIT
	end
	return self.config.uiShowAct
end

function Lua_HeroWeaponVo.Get:uiModelDir()
	return 0
end

function Lua_HeroWeaponVo.Get:uiPicUrl()
	if self._uiPicUrl == nil then
		self._uiPicUrl = LanUtil.StringProfile("/images/hero_weapon/", self.uiPic, ".png");
	end
	return self._uiPicUrl
end

function Lua_HeroWeaponVo.Get:uiPic()
	return self.config.ui_pic
end