-- 光环配置 vo
Lua_HeroAureoleVo = class("Lua_HeroAureoleVo")
function Lua_HeroAureoleVo:ctor(id,config)
    self.id = id;
    self.config = config;
end

function Lua_HeroAureoleVo.Get:camp_type() -- 类型
    return self.config.camp_type;
end

function Lua_HeroAureoleVo.Get:describe() -- 描述
    if self.getPropDes ~= nil then
        return self.config.describe.."："..self.getPropDes;
    end
    return self.config.describe;
end

-- 激活数量
function Lua_HeroAureoleVo.Get:activate_num()
    return self.config.activate_num;
end

function Lua_HeroAureoleVo.Get:sort()
    return self.config.sort;
end

function Lua_HeroAureoleVo.Get:prop_list() --属性
    return self.config.prop_list;
end

function Lua_HeroAureoleVo.Get:aureolePropInfo() --属性数据
    if self.propInfo == nil then
        local dic = getConfig("hero_camp_aureole",self.id);
        self.propInfo = Array();
        for i=1,#self.prop_list do
            local propVo = DataCenter.attributesUtil:createAttrVo(self.prop_list[i]);
            propVo.value = dic[self.prop_list[i]];
            self.propInfo:add(propVo);
        end
    end
    
    return self.propInfo;
end

function Lua_HeroAureoleVo.Get:getPropDes() --属性拼接
    if self.propStr == nil then
        local arr = self.aureolePropInfo;
        local len = arr:getSize();
        local str = "";
        for i=1,len do
            if str == "" then
                str = "";
            else
                str = str.."  ";
            end
            
            str = str..arr[i].show_name.."+"..arr[i].showValue;
        end
        
        self.propStr = str;
    end
    return self.propStr;
end