checkRequire("Lua_LimitTimeGiftData");
Lua_LimitTimeGiftProxy = class("Lua_LimitTimeGiftProxy");
function Lua_LimitTimeGiftProxy:ctor()
	DataCenter.limtiTimeGiftData = Lua_LimitTimeGiftData.new();

	Lua_MsgUtil.addLuaMsg(50197020, self, self.rLimitTimeGiftInfo);
	Lua_MsgUtil.addLuaMsg(80197020, self, self.nLimitTimeGiftInfo);
	Lua_MsgUtil.addEventListener("SCENE_LOADED", self, self.onSceneLoadComplete);
end

-- 请求限时礼包界面(返回)
function Lua_LimitTimeGiftProxy:rLimitTimeGiftInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50197020();
		msg:ParseFromString(mp.data);
		DataCenter.limtiTimeGiftData:fromServer50197020(msg);
		Lua_MsgUtil.callFunc("UPDATE_LIMITIMEGIFT_INFO");
	end
end

-- 通知限时礼包状态(通知)
function Lua_LimitTimeGiftProxy:nLimitTimeGiftInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto80197020();
		msg:ParseFromString(mp.data);
		DataCenter.limtiTimeGiftData:fromServer80197020(msg);
		Lua_MsgUtil.callFunc("UPDATE_LIMITIMEGIFT_INFO");
	end
end

function Lua_LimitTimeGiftProxy:onSceneLoadComplete(sceneId)
	if DataCenter.bConfigLoaded ~= true then -- 判断配置是否加载完成
		return;
	end
	
	if sceneId == Lua_SceneDefine.MAINCITY then
		DataCenter.limtiTimeGiftData:checkPopupInfo();
	end
end

-- 请求限时礼包界面
function Lua_LimitTimeGiftProxy:sLimitTimeGiftInfo()
	sendMsg(10197020);
end