--开服竞技
Lua_OpenServiceAthleticsData = class("Lua_OpenServiceAthleticsData");
Lua_OpenServiceAthleticsData.STAR = 1;--星级
Lua_OpenServiceAthleticsData.TIER = 2;--塔数
function Lua_OpenServiceAthleticsData:ctor()
	self:dispose();
end

function Lua_OpenServiceAthleticsData:dispose()
	self.rewardsList = nil;
	self.rank_list = nil;
	self.configList = {};
end

function Lua_OpenServiceAthleticsData:getRewardsInfo(types)
	if self.rewardsList == nil then
		self.rewardsList = {};
		local cfg = getConfig("open_arena");
		for k, v in pairs(cfg) do
			if v.type ~= nil then
				if self.rewardsList[v.type] == nil then
					self.rewardsList[v.type] = Array();
				end
				self.rewardsList[v.type]:add(k);
			end
		end
		for k,v in pairs(self.rewardsList) do
			v:sortf(self, self.sortf);
		end
	end
	if self.rewardsList[types] == nil then
		return Array();
	end
	return self.rewardsList[types];
end

function Lua_OpenServiceAthleticsData:sortf(a, b)
    if a < b then
        return true;
    end
    return false;
end

function Lua_OpenServiceAthleticsData:getOpenArenaVoById(id)
	if self.configList == nil then
		self.configList = {};
	end
	if self.configList[id] == nil then
		self.configList[id] =  getConfig("open_arena",id);
	end
	return self.configList[id];
end

function Lua_OpenServiceAthleticsData:fromServer50197035(msg)
	if msg == nil then
		return
	end

	self.rank_list = msg.rank_list;--排行角色信息
	self.end_time = msg.end_time;--活动结束时间
	self.self_list = msg.self_list;--自己排行信息
	self.is_end = msg.is_end;--是否结尾 0:非结尾数据 1:结尾数据

	self:updateRedPoint(false);
	
	Lua_MsgUtil.callFunc("UPDATE_ATHLETICS_INFO");
end

function Lua_OpenServiceAthleticsData:updateRedPoint(state)
	DataCenter.redPointData:updateRedPointState(Lua_RedPointList.LimitedTimeAct_OpenAthletics, state);
end

function Lua_OpenServiceAthleticsData:fromServer80197035(msg)
	if DataCenter.funcOpenData:isOpened(10242) then
		self:updateRedPoint(msg.red_state == 1);
	end
end