Lua_OpenServiceRewardItemVo = class("Lua_OpenServiceRewardItemVo");
function Lua_OpenServiceRewardItemVo:ctor(id, rewardConfig)
	self.id = id;
	self.config = rewardConfig == nil and getConfig("open_arena", id) or rewardConfig;
end

function Lua_OpenServiceRewardItemVo.Get:rewardsIcon()
	local iconVoArr = Array();
	local vo;
	for i = 1, #self.config.reward_item do
		vo = Lua_ToolVo.new(self.config.reward_item[i][1], self.config.reward_item[i][2]);
		iconVoArr:add(vo);
	end
    return iconVoArr;
end

function Lua_OpenServiceRewardItemVo.Get:rankRangeList()
	local rankRange = {};
	rankRange[1] = self.config.range[1];
	rankRange[2] = self.config.range[2];
	return rankRange;
end

