Lua_LiuHaiMaskPanel = class("Lua_LiuHaiMaskPanel", Lua_DisplayObject);
function Lua_LiuHaiMaskPanel:ctor(p)
	self:superCall("ctor", p);
end

function Lua_LiuHaiMaskPanel:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_LiuHaiMaskPanel:dispose()
	self.topMask = nil;
	self:superCall("dispose");
end

function Lua_LiuHaiMaskPanel:setLiuHaiMask(height)
    if height > 0 then
        if self.topMask == nil then
            self.topMask = UICreate.createUIAtlasImage(self.content, "common_altas_1", "ui_common_widget_027", 0, 0, 0, 0);
            self.topMask.anchorValue = 1;
            self.topMask.pivotValue = 1;
            self.topMask.clickScale = false;
            self.topMask.clickSound = nil;
            self.topMask:addClickFuntion(self, self.onMaskClick);
        end
        self.topMask:setEnable(true);
        self.topMask:setLocation(0, height, 0);
        self.topMask:SetDimensions(MainWinDefine.V_width, height);
    else
        if self.topMask then
            self.topMask:setEnable(false);
        end
    end
end

function Lua_LiuHaiMaskPanel:onMaskClick(go)

end