-- 奖励总表配置数据
Lua_RewardConfigData = class("Lua_RewardConfigData");
function Lua_RewardConfigData.getConfigDataById(id)
    if id == nil or id <= 0 then
        return nil;
    end
    if Lua_RewardConfigData.configs == nil then
        Lua_RewardConfigData.configs = { };
    end
    if Lua_RewardConfigData.configs[id] == nil then
        local config = getConfig("reward", id);
        if config == nil then
            return nil;
        end
        Lua_RewardConfigData.configs[id] = Lua_RewardConfigData.new(id, config);
    end
    return Lua_RewardConfigData.configs[id];
end

function Lua_RewardConfigData:ctor(id, config)
    self:superCall("ctor");

    self.id = id;
    self.config = config;
    if config == nil then
        self.config = getConfig("reward", id);
    end
end

function Lua_RewardConfigData.Get:rewardsArr()
	if self._rewardsArr == nil then
		self._rewardsArr = Array();
		if self.client_show ~= nil then
			local vo;
			local list = self.client_show;
			for i = 1, #list do
				vo = Lua_ToolVo.createToolVo(list[i][1], list[i][2]);
				self._rewardsArr:add(vo);
			end
		end
	end
	return self._rewardsArr;
end


-------------------- 配置数据 --------------------

function Lua_RewardConfigData.Get:client_show()
	return self.config.client_show;
end