--新英雄主题活动 Proxy
checkRequire("Lua_NewHeroActivityData");
Lua_NewHeroActivityProxy = class("Lua_NewHeroActivityProxy");

function Lua_NewHeroActivityProxy:ctor()
	DataCenter.newHeroActData = Lua_NewHeroActivityData.new();

	Lua_MsgUtil.addLuaMsg(80108021, self, self.nOpenPosterWindow); -- 新英雄主题-海报（通知）
	Lua_MsgUtil.addLuaMsg(50108021, self, self.rTrialHero); -- 新英雄主题-请求试用（返回）
	Lua_MsgUtil.addLuaMsg(80108035, self, self.nOpenTrialWindow); -- 新英雄主题-通知试用英雄界面（通知）

	Lua_MsgUtil.addLuaMsg(50108019, self, self.rSevenDayLoginInfo); -- 新英雄主题-请求七天登录界面（返回）
	Lua_MsgUtil.addLuaMsg(50108022, self, self.rShopHotInfo); -- 新英雄主题-请求商店热卖界面（返回）
	
	Lua_MsgUtil.addLuaMsg(50108023, self, self.rRecruitInfo); -- 新英雄主题-新英雄招募界面（返回）
	Lua_MsgUtil.addLuaMsg(50108024, self, self.rRecruitHero); -- 新英雄主题-请求招募英雄（返回）
	Lua_MsgUtil.addLuaMsg(50108046, self, self.rRecruitReward); -- 请求限时招募奖励界面(返回)

	Lua_MsgUtil.addLuaMsg(50108025, self, self.rStoryInfo); -- 新英雄主题-请求剧情界面（返回）
	Lua_MsgUtil.addLuaMsg(50108026, self, self.rStoryNextStep); -- 新英雄主题-请求剧情关卡操作（返回）
	Lua_MsgUtil.addLuaMsg(50108048, self, self.rStoryfightRecords); -- 新英雄主题-请求主题剧情作战记录界面(返回)
	Lua_MsgUtil.addLuaMsg(50108049, self, self.rStoryLevelCharacterRewards); -- 新英雄主题-请求章节奖励界面信息(返回)
	Lua_MsgUtil.addLuaMsg(80108025, self, self.rStoryLevelInfo); -- 新英雄主题-通知更新主题剧情关卡信息
	Lua_MsgUtil.addLuaMsg(50114040, self, self.rMonsterHeroInfo); -- 根据怪物id获取英雄具体属性，展示英雄具体信息窗口


	Lua_MsgUtil.addLuaMsg(50108029, self, self.rUpStarInfo); -- 新英雄主题-主题升星专属（返回）
	Lua_MsgUtil.addLuaMsg(50108031, self, self.rWarCoinInfo); -- 新英雄主题-请求战令界面（返回）
	Lua_MsgUtil.addLuaMsg(50108036, self, self.rHeroTrialInfo); -- 新英雄主题-请求英雄试炼界面（返回）
	Lua_MsgUtil.addLuaMsg(80108036, self, self.nHeroTrialBuffInfo); -- 新英雄主题-英雄试炼增益升级（通知）
	Lua_MsgUtil.addLuaMsg(50108037, self, self.rHeroTrialRankReward); -- 新英雄主题-英雄试炼排行奖励（返回）
end

-------------------------上行消息号-------------------------

-------------------- 20002 七天登录 
-- 新英雄主题-七天登录奖励领取 act_index 活动唯一索引， draw_day 第几天奖励
function Lua_NewHeroActivityProxy:sDrawSevenDayLogin(act_index, draw_day)
	local cmd = ProtoPublic_pb.Proto10108020();
	cmd.act_index = act_index;
	cmd.draw_day = draw_day;
	sendMsg(10108020, cmd);
end

-------------------- 20003 商店热卖
-- 请求商店热卖钻石购买
function Lua_NewHeroActivityProxy:sDrawShopHotReward(act_index, id)
	local cmd = ProtoPublic_pb.Proto10108051();
	cmd.act_index = act_index; -- 活动索引
	cmd.id = id; -- 商品id
	sendMsg(10108051, cmd);
end

-------------------- 20004 新英雄招募
-- 新英雄主题-请求招募英雄
function Lua_NewHeroActivityProxy:sRecruitHero(act_index, draw_times)
	local cmd = ProtoPublic_pb.Proto10108024();
	cmd.act_index = act_index; -- 活动索引
	cmd.draw_times = draw_times; -- 招募次数
	sendMsg(10108024, cmd);
end

-- 请求限时招募奖励界面
function Lua_NewHeroActivityProxy:sRecruitReward(active_id)
	local cmd = ProtoPublic_pb.Proto10108046();
	cmd.active_id = active_id; -- 活动id
	sendMsg(10108046, cmd);
end

-- 请求领取限时招募次数奖励
function Lua_NewHeroActivityProxy:sGetRecruitReward(active_id, times)
	local cmd = ProtoPublic_pb.Proto10108047();
	cmd.active_id = active_id; -- 活动索引
	cmd.times = times; -- 招募次数
	sendMsg(10108047, cmd);
end

-- 请求招募预览界面信息
function Lua_NewHeroActivityProxy:sRecruitPreview(active_id)
	local cmd = ProtoPublic_pb.Proto10108050();
	cmd.active_id = active_id; -- 活动id
	sendMsg(10108050, cmd);
end

-------------------- 20005 新英雄升星专属

-- 新英雄主题-请求领取主题升星免费奖励
function Lua_NewHeroActivityProxy:sDrawUpStarReward(gift_id, act_index)
	local cmd = ProtoPublic_pb.Proto10108030();
	cmd.gift_id = gift_id; -- 礼包id
	cmd.act_index = act_index; -- 后台活动索引
	sendMsg(10108030, cmd);
end

-------------------- 20006 剧情关卡
-- 请求主题剧情作战记录界面
function Lua_NewHeroActivityProxy:sStoryLevelFightRecords(active_id)
	local cmd = ProtoPublic_pb.Proto10108048();
	cmd.active_id = active_id; 
	sendMsg(10108048, cmd);
end

-- 请求章节奖励界面信息
function Lua_NewHeroActivityProxy:sStoryLevelCharacterRewards(active_id)
	local cmd = ProtoPublic_pb.Proto10108049();
	cmd.active_id = active_id; 
	sendMsg(10108049, cmd);
end

-- 新英雄主题-请求剧情关卡操作
function Lua_NewHeroActivityProxy:sStoryLevelFighting(act_index, id, type)
	local cmd = ProtoPublic_pb.Proto10108026();
	cmd.act_index = act_index; -- 活动索引
	cmd.id = id; -- 剧情关卡id
	cmd.type = type; -- 操作状态（1：进入关卡，2：再次进入）
	sendMsg(10108026, cmd);
end

-- 新英雄主题-请求剧情关卡布阵
function Lua_NewHeroActivityProxy:sStoryLineup(act_index, id, stand_type, lineup_list, artifact_list)
	local cmd = ProtoPublic_pb.Proto10108027();
	cmd.act_index = act_index; -- 活动索引
	cmd.id = id; -- 剧情关卡id
    local struct1;
    local struct2;
    local arr;
    local posList;
    local standIdx;
    for i = 1, #lineup_list do
        struct1 = getProtoMsg("ProtoHeroDetachment");
        struct1.index = i;
        struct1.stand_type = stand_type[i];

        arr = lineup_list[i];
        posList = DataCenter.heroLineupUtil:getPosListByType(stand_type[i]);
        for j = 1, #posList do
            standIdx = posList[j];
            if arr[standIdx] > 0 then
	            struct2 = getProtoMsg("ProtoPairLong");
	            struct2.key = standIdx
	            struct2.value = arr[standIdx]
	            struct1.location_list:addToList(struct2);
	        end
        end

        arr = artifact_list[i];
        for j = 1, arr:getSize() do
        	if arr[j] > 0 then
	            struct2 = getProtoMsg("ProtoPair");
	            struct2.key = j;
	            struct2.value = arr[j];
	            struct1.artifact_list:addToList(struct2);
	        end
        end
        cmd.hero_lineup:addToList(struct1);
    end

	sendMsg(10108027, cmd);
end

-- 新英雄主题-请求领取篇章奖励
function Lua_NewHeroActivityProxy:sStoryReward(act_index, chapter_id)
	local cmd = ProtoPublic_pb.Proto10108028();
	cmd.act_index = act_index; -- 活动索引
	cmd.chapter_id = chapter_id; -- 篇章id
	sendMsg(10108028, cmd);
end

-- 根据怪物id获取英雄具体属性
function Lua_NewHeroActivityProxy:sMonsterId(monster_id)
	local cmd = ProtoPublic_pb.Proto10114040();
	cmd.monster_id = monster_id; --怪物id
	sendMsg(10114040, cmd);
end

-------------------- 20007 战令

-- 新英雄主题-请求领取战令奖励
function Lua_NewHeroActivityProxy:sDrawWarCoinReward(act_index)
	local cmd = ProtoPublic_pb.Proto10108032();
	cmd.act_index = act_index; -- 活动索引
	sendMsg(10108032, cmd);
end

-- 新英雄主题-请求领取战令任务经验
function Lua_NewHeroActivityProxy:sDrawWarCoinExp(act_index, task_id)
	local cmd = ProtoPublic_pb.Proto10108033();
	cmd.act_index = act_index; -- 活动索引
	cmd.task_id = task_id; -- 任务id
	sendMsg(10108033, cmd);
end

-- 新英雄主题-请求战令升级
function Lua_NewHeroActivityProxy:sUpgradeOfWarCoin(act_index, target_level)
	local cmd = ProtoPublic_pb.Proto10108034();
	cmd.act_index = act_index; -- 活动索引
	cmd.target_level = target_level; -- 目标等级
	sendMsg(10108034, cmd);
end

-------------------- 20008 新英雄试用

-- 新英雄主题-请求试用
function Lua_NewHeroActivityProxy:sTrialHero(act_index, hero_id)
	local cmd = ProtoPublic_pb.Proto10108021();
	cmd.act_index = act_index; -- 活动唯一索引
	cmd.hero_id = hero_id; -- 英雄id
	sendMsg(10108021, cmd);
end

-------------------20009 新英雄-英雄试炼---------------------

--新英雄主题-请求英雄试炼积分排行奖励
function Lua_NewHeroActivityProxy:sHeroTrialRankReward(act_index)
	local cmd = ProtoPublic_pb.Proto10108037();
	cmd.act_index = act_index;
	sendMsg(10108037, cmd);
end




















-------------------------下行消息号-------------------------

-------------------- 20001 新英雄海报 

-- 新英雄主题-海报（通知）
function Lua_NewHeroActivityProxy:nOpenPosterWindow(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto80108021();
		msg:ParseFromString(mp.data);
		DataCenter.newHeroActData:fromServer80108021(msg);
	end
end

-------------------- 20002 七天登录

-- 新英雄主题-请求七天登录界面（返回）
function Lua_NewHeroActivityProxy:rSevenDayLoginInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50108019();
		msg:ParseFromString(mp.data);
		DataCenter.newHeroActData:fromServer50108019(msg);
		Lua_MsgUtil.callFunc("UPDATE_SEVENDAY_LOGIN_INFO");
	end
end

-------------------- 20003 商店热卖

-- 新英雄主题-请求商店热卖界面（返回）
function Lua_NewHeroActivityProxy:rShopHotInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50108022();
		msg:ParseFromString(mp.data);
		DataCenter.newHeroActData:fromServer50108022(msg);
		Lua_MsgUtil.callFunc("UPDATE_SHOPHOT_INFO");
	end
end

-------------------- 20004 新英雄招募

-- 新英雄主题-新英雄招募界面（返回）
function Lua_NewHeroActivityProxy:rRecruitInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50108023();
		msg:ParseFromString(mp.data);
		DataCenter.newHeroActData:fromServer50108023(msg);
	end
end

-- 新英雄主题-请求招募英雄（返回）
function Lua_NewHeroActivityProxy:rRecruitHero(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50108024();
		msg:ParseFromString(mp.data);
		DataCenter.newHeroActData:fromServer50108024(msg);
	end
end

-- 请求限时招募奖励界面(返回)
function Lua_NewHeroActivityProxy:rRecruitReward(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50108046();
		msg:ParseFromString(mp.data);
		DataCenter.newHeroActData:fromServer50108046(msg);
	end
end




-------------------- 20005 升星专属

-- 新英雄主题-主题升星专属（返回）
function Lua_NewHeroActivityProxy:rUpStarInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50108029();
		msg:ParseFromString(mp.data);
		DataCenter.newHeroActData:fromServer50108029(msg);
		Lua_MsgUtil.callFunc("UPDATE_NEWHERO_UPSTAR_INFO");
	end
end

-------------------- 20006 剧情关卡

-- 新英雄主题-请求剧情界面（返回）
function Lua_NewHeroActivityProxy:rStoryInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50108025();
		msg:ParseFromString(mp.data);
		DataCenter.newHeroActData:fromServer50108025(msg);
		Lua_MsgUtil.callFunc("UPDATE_STORYLEVEL_LIST");
		Lua_MsgUtil.callFunc("UPDATE_FIGHTTYPE_RESULT_WIN");
	end
end

-- 新英雄主题-请求主题剧情作战记录界面(返回)
function Lua_NewHeroActivityProxy:rStoryfightRecords(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50108048();
		msg:ParseFromString(mp.data);
		Lua_MsgUtil.callFunc("UPDATE_STORYLEVEL_RECORDLIST", msg);
		-- Lua_WindowUtil.openWin("Lua_NewHeroStoryRecordWindow", Lua_WinParam.ACTION_OPEN, msg.record_list);
		-- DataCenter.newHeroActData:fromServer50108048(msg);
	end
end

-- 新英雄主题-请求章节奖励界面信息(返回)
function Lua_NewHeroActivityProxy:rStoryLevelCharacterRewards(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50108049();
		msg:ParseFromString(mp.data);
		DataCenter.newHeroActData:fromServer50108049(msg);
		Lua_MsgUtil.callFunc("UPDATE_STORYLEVEL_CHAPTERREWARD");
	end
end

-- 新英雄主题-请求剧情关卡操作（返回）
function Lua_NewHeroActivityProxy:rStoryNextStep(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50108026();
		msg:ParseFromString(mp.data);
		DataCenter.newHeroActData:fromServer50108026(msg);
	end
end

-- 新英雄主题-通知更新主题剧情关卡信息
function Lua_NewHeroActivityProxy:rStoryLevelInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto80108025();
		msg:ParseFromString(mp.data);
		DataCenter.newHeroActData:fromServer80108025(msg);
		Lua_MsgUtil.callFunc("UPDATE_STORYLEVEL_LIST");
		Lua_MsgUtil.callFunc("UPDATE_FIGHTTYPE_RESULT_WIN");
	end
end

 -- 根据怪物id获取英雄具体属性，展示英雄具体信息窗口
function Lua_NewHeroActivityProxy:rMonsterHeroInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50114040();
		msg:ParseFromString(mp.data);
		local heroId = tonumber(msg.monster_hero.hero_id);
		local heroVo = Lua_HeroVo.new(heroId);
		heroVo:fromServer(msg.monster_hero);
		Lua_WindowUtil.openWin("Lua_HeroTipsWindow", Lua_WinParam.ACTION_OPEN, heroVo);
	end
end

-------------------- 20007 战令

-- 新英雄主题-请求战令界面（返回）
function Lua_NewHeroActivityProxy:rWarCoinInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50108031();
		msg:ParseFromString(mp.data);
		DataCenter.newHeroActData:fromServer50108031(msg);
		Lua_MsgUtil.callFunc("UPDATE_WARCOIN_INFO");
	end
end

-------------------- 20008 新英雄试用

-- 新英雄主题-请求试用（返回）
function Lua_NewHeroActivityProxy:rTrialHero(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50108021();
		msg:ParseFromString(mp.data);
		DataCenter.newHeroActData:fromServer50108021(msg);
	end
end

-- 新英雄主题-通知试用英雄界面（通知）
function Lua_NewHeroActivityProxy:nOpenTrialWindow(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto80108035();
		msg:ParseFromString(mp.data);
		DataCenter.newHeroActData:fromServer80108035(msg);
	end
end

-- ------------------2009 新英雄-英雄试炼

--英雄试炼界面信息(返回)
function Lua_NewHeroActivityProxy:rHeroTrialInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50108036();
		msg:ParseFromString(mp.data);
		DataCenter.newHeroActData:fromServer50108036(msg);
	end
end

--英雄试炼增益状态信息(返回)
function Lua_NewHeroActivityProxy:nHeroTrialBuffInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto80108036();
		msg:ParseFromString(mp.data);
		DataCenter.newHeroActData:fromServer80108036(msg);
	end
end

--英雄试炼积分排行奖励(返回)
function Lua_NewHeroActivityProxy:rHeroTrialRankReward(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50108037();
		msg:ParseFromString(mp.data);
		DataCenter.newHeroActData:fromServer50108037(msg);
		Lua_MsgUtil.callFunc("UPDATE_HEROTRIAL_REWARD_INFO");
	end
end