Lua_OnlineRewardData = class("Lua_OnlineRewardData");
function Lua_OnlineRewardData:ctor()
	self:dispose();
end

function Lua_OnlineRewardData:dispose()
	self.reward_id = nil;
	self.receiveVo = nil;
	self.curIdx = -1;
	self.timeVo = nil;
end

function Lua_OnlineRewardData:fromServer50126003(msg)
	self.second = tonumber(tostring(msg.secs)); -- 总在线秒数
	-- 已领奖id列表
	self.reward_id = {};
	for i = 1, #msg.reward_id do
		self.reward_id[msg.reward_id[i]] = msg.reward_id[i];
	end

	local state = false;
	self.receiveVo = nil;
	self.curIdx = -1;
	self.timeVo = nil;
	local arr = DataCenter.onlineRewardUtil.onlineRewardArr;
	for i = 1, arr:getSize() do
		if not arr[i].isReceive and arr[i].remainTime <= 0 then
			state = true;
		end
		if self.receiveVo == nil and state then
			self.receiveVo = arr[i];
			self.curIdx = i;
		end

		if self.timeVo == nil and arr[i].remainTime > 0 then
			self.timeVo = arr[i];
			if self.curIdx == -1 then
				self.curIdx = i;
			end
		end
	end
	
	if self.curIdx == -1 and arr[arr:getSize()].isReceive then
		self.curIdx = arr:getSize();
	end
	DataCenter.redPointData:updateRedPointState(Lua_RedPointList.MainLine_OnLine, state);
end

function Lua_OnlineRewardData.Set:second(value)
	self._second = value;
	self.setTime = getTime();
end

function Lua_OnlineRewardData.Get:second()
	if self._second == nil then
		return 0;
	end
	return self._second + getTime() - self.setTime;
end

function Lua_OnlineRewardData:getReceiveStateById(id)
	if self.reward_id == nil or self.reward_id[id] == nil then
		return false;
	end
	return true;
end