checkRequire("Lua_MonthCardVo");
Lua_MonthCardData = class("Lua_MonthCardData");
function Lua_MonthCardData:ctor()
	self:dispose();
end

function Lua_MonthCardData:dispose()
	self._monthCardDic = nil;
end

function Lua_MonthCardData:fromServer50196001(msg)
	if msg == nil then
		return;
	end
	
	local obj;
	local vo;
	local redShowState = false;
	for i = 1, #msg.month_card_state do
		obj = msg.month_card_state[i];
		vo = self.monthCardDic[obj.type];
		if vo ~= nil then
			vo:fromServer(obj);
			if not redShowState and vo.draw_State == 1 then
				redShowState = true;
			end
		end
	end
	DataCenter.redPointData:updateRedPointState(Lua_RedPointList.RaccoonMart_MonthCard, redShowState);
end

function Lua_MonthCardData.Get:monthCardDic() 
	if self._monthCardDic == nil then
		self._monthCardDic = {};

		local vo;
		local config = getConfig("recharge_month_card");
		for k,v in pairs(config) do
			vo = Lua_MonthCardVo.new(v.grade, v);  
			self._monthCardDic[v.grade] = vo;
		end
	end
	return self._monthCardDic;
end