-- 商城限购次数配置表
Lua_ShopLimitData = class("Lua_ShopLimitData")
function Lua_ShopLimitData.getConfigDataById(id)
	if Lua_ShopLimitData.configs == nil then
		Lua_ShopLimitData.configs = {};
	end
	if Lua_ShopLimitData.configs[id] == nil then
		local cfg = getConfig("shop_limit", id);
		if cfg == nil then
			return nil;
		end
		Lua_ShopLimitData.configs[id] = Lua_ShopLimitData.new(id, cfg);
	end
	return Lua_ShopLimitData.configs[id];
end

function Lua_ShopLimitData:ctor(id, config)
	self.id = id;
	self.config = config or getConfig("shop_limit", id);
end

function Lua_ShopLimitData.Get:limit_type()
	return self.config.limit_type;
end

function Lua_ShopLimitData.Get:limit_times()
	if self.config.limit_times == nil then
		return 0;
	end
	return self.config.limit_times;
end