Lua_ShopMainTypeVo = class("Lua_ShopMainTypeVo")
function Lua_ShopMainTypeVo:ctor(id, config)
    self:superCall("ctor");
    self.id = id;
    self.config = config;
    if self.config == nil then
        self.config = getConfig("shop_main_type", id);
    end
end

function Lua_ShopMainTypeVo.Get:bOpened()
    if self.showType == 1 then
        local arr = self.subTypeArr;
        if arr:getSize() > 0 then
            return true;
        end
    -- else
    --     local vo = DataCenter.funcPathUtil:getFuncPathVo(self.skipId)
    --     return vo.openState
    end
    return false;
end

function Lua_ShopMainTypeVo.Get:subTypeArr()
    local arr = Array();
    local list = self.config.shop_list;
    if list ~= nil then
        local vo;
        for i = 1, #list do
            vo = DataCenter.shopUtil:getShopSubTypeVo(list[i]);
            if vo ~= nil and vo.bOpened == true then
                arr:add(vo);
            end
        end
    end
    return arr;
end

-------------------- 配置数据 --------------------

function Lua_ShopMainTypeVo.Get:showType()
    return self.config.show_type;
end

function Lua_ShopMainTypeVo.Get:skipId()
    return self.config.skip_id;
end

function Lua_ShopMainTypeVo.Get:iconAtlas()
    return self.config.icon_atlas;
end

function Lua_ShopMainTypeVo.Get:iconSprite()
    return self.config.icon_sprite;
end

function Lua_ShopMainTypeVo.Get:sortIdx()
    return self.config.sortIdx;
end