--星魂试炼Data
checkRequire("Lua_StarTrialStarRewardVo");
Lua_StarTrialData = class("Lua_StarTrialData");

function Lua_StarTrialData:ctor()
	self:dispose();
end

function Lua_StarTrialData:dispose()

end

--返回某个章节的所有信息
function Lua_StarTrialData:fromServer50194001(msg)
	if msg == nil then
		return;
	end

	self.curChapter = msg.cur_chapter;--当前章节
	self.remainTime = msg.challenge_times;--剩余首通次数
	self.totalStar = msg.total_star;--所有章节获得的总星数
	self.totalChapter = msg.chapter_info.chapter;--需要打开的章节
	
	local vo = DataCenter.starTrialUitl:getChapterVo(msg.chapter_info.chapter);
	vo:fromServer(msg.chapter_info);
	self:updateSweepState(msg.day_reward);

	Lua_MsgUtil.callFunc("UPDATE_STARTRIAL_INFO");
	self:updateLevelRedPoint();
end

--领取章节的星数奖励后返回该章节的星数奖励状态
function Lua_StarTrialData:fromServer50194002(msg)
	if msg == nil then
		return;
	end

	local vo = DataCenter.starTrialUitl:getChapterVo(msg.chapter);
	vo:updateStarRewardState(msg.reward);
	Lua_MsgUtil.callFunc("UPDATE_STARTRIAL_STARREWARD");
	Lua_MsgUtil.callFunc("UPDATE_STARTRIAL_CHAPTER_INFO");
	self:updateLevelRedPoint();
	self:updateChapterRedPoint();
end

--更新扫荡信息
function Lua_StarTrialData:updateSweepState(data)
	if data == nil then
		return;
	end
	self.curSweepId = data[1].key;
	self.sweepTimes = data[1].value;
	DataCenter.redPointData:updateRedPointState(Lua_RedPointList.StarTrial_Daily, tonumber(self.sweepTimes) ~= 0);
	
	Lua_MsgUtil.callFunc("UPDATE_STARTRIAL_DAILYREWARD");
end

--全部章节的收集星数以及星数奖励状态
function Lua_StarTrialData:fromServer50194005(msg)
	if msg == nil then
		return;
	end

	local vo;
	for i = 1, #msg.chapter_state do
		vo = DataCenter.starTrialUitl:getChapterVo(msg.chapter_state[i].key);
		vo.starNum = msg.chapter_state[i].value;
		vo:updateStarRewardState(msg.reward_state[i].map_list);
	end
   
	Lua_MsgUtil.callFunc("UPDATE_STARTRIAL_CHAPTER_INFO");
	self:updateChapterRedPoint();
end

--更新关卡图标红点
function Lua_StarTrialData:updateLevelRedPoint()
	local state = false;
	local vo = DataCenter.starTrialUitl:getChapterVo(self.totalChapter)
	DataCenter.redPointData:updateRedPointState(Lua_RedPointList.StarTrial_Level, vo.canDraw);
end

--更新章节图标红点
function Lua_StarTrialData:updateChapterRedPoint()
	local state = false;
	local voArr = DataCenter.starTrialUitl.getChapterArr;
	for i = 1, voArr:getSize() do
		if voArr[i] ~= nil then
			if voArr[i].canDraw == true then
				state = voArr[i].canDraw;
				break;
			end
		end
	end
	DataCenter.redPointData:updateRedPointState(Lua_RedPointList.StarTrial_Chapter, state);
end

--更新星河试炼按钮红点
function Lua_StarTrialData:updateStarRiverBtnRedPoint(state)
	Lua_MsgUtil.callFunc("UPDATE_STARRIVER_BTN", state);
end