Lua_LuckyTurntableStageRewardVo = class("Lua_LuckyTurntableStageRewardVo")
function Lua_LuckyTurntableStageRewardVo:ctor(id, config)
	self.id = id;
	self._config = config;

	self:dispose()
end

function Lua_LuckyTurntableStageRewardVo:dispose()
	self.receiveStage = 0;
end

function Lua_LuckyTurntableStageRewardVo:setReceiveState(msg)
	self.receiveStage = msg; -- 0不可领取，1可领取，2已领取
end

function Lua_LuckyTurntableStageRewardVo.Get:config()
	if self._config == nil then
		self._config = getConfig("luck_turntable_stage_reward", self.id);
	end
	return self._config;
end

-- 转盘类型
function Lua_LuckyTurntableStageRewardVo.Get:turntable_type()
	return self.config.turntable_type;
end

-- 轮次
function Lua_LuckyTurntableStageRewardVo.Get:round()
	return self.config.round;
end

-- 抽奖次数
function Lua_LuckyTurntableStageRewardVo.Get:times()
	return self.config.times;
end

-- 抽奖次数
function Lua_LuckyTurntableStageRewardVo.Get:reward_item()
	return self.config.reward_item;
end

-- 奖励
function Lua_LuckyTurntableStageRewardVo.Get:timesRewardVo()
	if self._timesRewardVo == nil then
		self._timesRewardVo = Lua_ToolVo.createToolVo(self.reward_item[1][1], self.reward_item[1][2]);
	end
	return self._timesRewardVo;
end