checkRequire("Lua_UpStarOfCycleVo");
Lua_UpStarOfCycleData = class("Lua_UpStarOfCycleData");
function Lua_UpStarOfCycleData:ctor()
	self:dispose();
end

function Lua_UpStarOfCycleData:dispose()
	self.isFirst = true;
	self.rewardDic = {};
	self.rewardArr = Array();
end

function Lua_UpStarOfCycleData:fromServer50108005(msg)
	if msg == nil then
		return;
	end

	self.heroId = msg.hero_id; -- 活动升星英雄id
	self.quality = msg.quality; -- 英雄质量
	self.qualityStar = msg.quality_star; -- 英雄质量星级
	self.eventId = msg.return_id; -- 跳转界面id
	
	local obj;
	local vo;
	for i = 1, #msg.reward_state do -- 各档位奖励状态
		obj = msg.reward_state[i];
		if self.rewardDic[obj.quality] == nil then
			self.rewardDic[obj.quality] = {};
		end

		vo = self.rewardDic[obj.quality][obj.quality_star];
		if vo == nil then
			vo = Lua_UpStarOfCycleVo.new();
			vo:initRewardInfo(obj);

			self.rewardDic[obj.quality][obj.quality_star] = vo;
			self.rewardArr:add(vo);
		end
		vo:updateTimes(obj.free_cell.curr_times, obj.recharge_cell.curr_times);
	end

	if self.isFirst then
		self.isFirst = false;
		self.rewardArr:sort("freeGiftId", false);
	end
end