Lua_VideoVo = class("Lua_VideoVo")
function Lua_VideoVo:ctor()
	self:superCall("ctor")
end

function Lua_VideoVo:dispose()
	self.a_role = nil
	self.d_role = nil
end

-- fight_scene：场景类型，无场景类型：0，如
-- 精英赛：决赛:1, 半决赛：2, 八强：3, 16强：4, 32强：5, 选拔赛：6
function Lua_VideoVo:fromServer(msg)
	self.record_id = tonumber(msg.record_id) -- 记录id
	self.index = msg.index -- 列表类型
	self.is_win = msg.is_win -- 1 胜利 0 失败
	self.a_role = msg.a_role -- 攻方
	self.d_role = msg.d_role -- 守方
	self.times = msg.times -- 战斗时间
	self.fight_scene = msg.fight_scene -- 战斗场景
	self.replay_times = msg.replay_times -- 播放次数
	self.send_times = msg.send_times -- 转发次数
	self.like_times = msg.like_times -- 点赞次数
	self.is_liked = msg.is_liked -- 是否已被点赞（1：是，0：否）
	self.is_saved = msg.is_saved -- 是否已被收藏（1：是，0：否）
end