--独家企划等级vo
Lua_ExclusivePlanLevelVo = class("Lua_ExclusivePlanLevelVo")
function Lua_ExclusivePlanLevelVo:ctor(id, curPeriod)
	self.id = id;
	self.level = id % (10000 * curPeriod);
	self.config = getConfig("sole_plan", id);
end

function Lua_ExclusivePlanLevelVo:fromServer(state, seniorState)
	self.state = state;
	self.seniorState = seniorState;
end

function Lua_ExclusivePlanLevelVo:getItemVoList()
	if self.itemVoList == nil then
		self.itemVoList = {};
		local vo;
		local reward = self.reward;
		local seniorReward = self.seniorReward;
		for i = 1, #reward do
			vo = Lua_ToolVo.createToolVo(reward[i][1], reward[i][2]);
			self.itemVoList[i] = vo;
		end
		for i = 1, #seniorReward do
			vo = Lua_ToolVo.createToolVo(seniorReward[i][1], seniorReward[i][2]);
			self.itemVoList[#reward + i] = vo;
		end
	end
	return self.itemVoList;
end


-------------------配置表------------------------
function Lua_ExclusivePlanLevelVo.Get:reward() --普通奖励
    if self.config == nil then
    	return nil;
    end
	return self.config.reward;
end

function Lua_ExclusivePlanLevelVo.Get:seniorReward() --高级奖励
    if self.config == nil then
    	return nil;
    end
	return self.config.senior_reward;
end

function Lua_ExclusivePlanLevelVo.Get:upNeedExp() --升到本级所需经验
    if self.config == nil then
    	return 0;
    end
	return self.config.exp_num;
end