Lua_GradeGiftVo = class("Lua_GradeGiftVo")
function Lua_GradeGiftVo:ctor(id, config)
	self.id = id;
	self._config = config;

	self:dispose()
end

function Lua_GradeGiftVo:dispose()
	self.isDraw = false;
end

function Lua_GradeGiftVo:setReceiveState(msg)
	self.isDraw = msg; -- true 为已领取
end

-- 可领取
function Lua_GradeGiftVo.Get:isCanDraw()
	return not self.isDraw and self.level <= DataCenter.roleData.level;
end

function Lua_GradeGiftVo.Get:config()
	if self._config == nil then
		self._config = getConfig("rewardhall_lvl_gift", self.id);
	end
	return self._config;
end

function Lua_GradeGiftVo.Get:level()
	return self.config.level;
end

function Lua_GradeGiftVo.Get:reward()
	return self.config.reward;
end