Lua_HeroGridViewWindow = class("Lua_HeroGridViewWindow", Lua_Window)
function Lua_HeroGridViewWindow:ctor()
	self:superCall("ctor")
	self.w = 355
	self.h = 300
	self.windowName = "Lua_HeroGridViewWindow"
	self.showBlackMask = true
	self.blackAlpha = 0.01
	self.showWinBg = true
	self.winBgAtlas = "common_altas_1"
	self.winBgSprite = "xui_common_tips_001"
	self.isClickClose = true
end

function Lua_HeroGridViewWindow:buildShowItem()
	self:superCall("buildShowItem")

	self.gridPanel = Lua_HeroGridViewPanel.new(self.content)
	self.gridPanel:setCanClick(true)
	self.gridPanel:setLayout(1, 0)
	self.gridPanel:setGridCell(80, 85, Lua_HeroGridViewItem2)
end

function Lua_HeroGridViewWindow:dispose()
	if self.gridPanel then
		self.gridPanel:dispose()
		self.gridPanel = nil
	end
	self:superCall("dispose")
end

function Lua_HeroGridViewWindow:showWin(param)
	self:superCall("showWin", param)
	local posX = param.posX or 0
	local posY = param.posY or 0
	self.winBg:setLocation(posX, posY, 0)
	self.gridPanel:setLocation(posX, posY, 0)
	if param.showHero then
		self.gridPanel:setDataByProto(param.showHero)
	elseif gridPanel.heroInfo then
		self.gridPanel:setDataByProto2(param.heroInfo)
	else
		self.gridPanel:setDataByLineupType(param.lineupType, param.lineupIdx)
	end
end