Lua_DragCustomBtnDefine = {};
Lua_DragCustomBtnDefine.TYPE_MAIN = 1;
Lua_DragCustomBtnDefine.TYPE_SUB = 2;

--------------------------------------------------
--------------------------------------------------
--------------------------------------------------
-- 背包类型
Lua_PackDefine = {};
Lua_PackDefine.TYPE_RESOURCE = 1; -- 货币
Lua_PackDefine.TYPE_ITEM = 2; -- 道具
Lua_PackDefine.TYPE_CHIP = 3; -- 碎片
Lua_PackDefine.TYPE_EQUIP = 4; -- 装备
Lua_PackDefine.TYPE_RUNSE = 5; -- 符文
Lua_PackDefine.TYPE_TALENT = 7; -- 战技

-- 物品大类main_type
Lua_PackDefine.NONE = 0; -- 未分类
Lua_PackDefine.RESOURCE = 1; -- 货币
Lua_PackDefine.HERO = 2; -- 英雄
Lua_PackDefine.MATERIALS = 3; -- 消耗材料
Lua_PackDefine.USE_TO_GET = 5; -- 使用获得类
Lua_PackDefine.GIFT_BAG = 6; -- 礼包
Lua_PackDefine.HERO_CHIP_RANDOM = 8; -- 随机英雄碎片
Lua_PackDefine.HERO_CHIP_FIXED = 9; -- 指定英雄碎片
Lua_PackDefine.ALMIGHTY_HERO = 999999; -- 英魂（全能英雄）--现版本弃用英魂
Lua_PackDefine.HERO_DRESSUP = 11; -- 英雄时装激活道具
Lua_PackDefine.ROLE_DRESSUP = 13; -- 主角时装激活道具
Lua_PackDefine.EQUIP = 14; -- 装备
Lua_PackDefine.RUNES = 15; -- 符石
Lua_PackDefine.COLLECTION = 17; -- 藏品

-- 物品小类sub_type
Lua_PackDefine.GIFT_BAG_FIXED = 1; -- 固定礼包
Lua_PackDefine.GIFT_BAG_RANDOM = 2; -- 随机礼包
Lua_PackDefine.GIFT_BAG_SELECT = 3; -- 自选礼包
Lua_PackDefine.GIFT_BAG_SELECT_HERO = 4; -- 英雄自选礼包

Lua_PackDefine.EQUIP_BAG_STRONG = 1; -- 装备强化石

-- 道具id
Lua_PackDefine.STAR_STONE = 203010003; -- 英灵宝石
Lua_PackDefine.ORDE_STONE = 203010002;-- 进阶石
Lua_PackDefine.POTENTIAL = 203020001; -- 潜能丹
Lua_PackDefine.LOW_STONE  = 203030001; -- 普通强化石
Lua_PackDefine.HIGH_STONE = 203030002; -- 高级强化石
Lua_PackDefine.PRIMARY_RUNES = 203040201; -- 初级符石
Lua_PackDefine.ARENA_CHALLENGE_TICKET = 204020001; -- 斗技场挑战劵
Lua_PackDefine.WEAPON_STONE_LOW = 203080001; -- 初级神兵石
Lua_PackDefine.WEAPON_STONE_CENTER = 203080002; -- 中级神兵石
Lua_PackDefine.WEAPON_STONE_HIGH = 203080003; -- 高级神兵石
Lua_PackDefine.ONE_DOLLAR_TICKET = 203010001; -- 一元大钞

--------------------------------------------------
--------------------------------------------------
--------------------------------------------------
-- 资源id
Lua_ResourcesDefine = {};
Lua_ResourcesDefine.DIAMOND = 201000001; -- 钻石
Lua_ResourcesDefine.GOLD = 201000002; -- 金币
Lua_ResourcesDefine.HERO_EXP = 201000003; -- 英雄经验
Lua_ResourcesDefine.FRIENDSHIP = 201000004; -- 友情点
Lua_ResourcesDefine.INTELLIGENCE = 201000007; -- 情报值
Lua_ResourcesDefine.ROLE_EXP = 201000008; -- 冒险者经验
Lua_ResourcesDefine.RUNE_SMELT = 201000009; --熔炼值
Lua_ResourcesDefine.STAR_LUCK = 201000011; -- 原石
Lua_ResourcesDefine.VIP_EXP = 201000015; -- 名望值
Lua_ResourcesDefine.HERO_PROVE = 201000012;-- 英雄之证
Lua_ResourcesDefine.PLAN_EXP = 201000026; --企划经验
Lua_ResourcesDefine.TRUTH_POWER = 201000021; --真理之力

--------------------------------------------------
--------------------------------------------------
--------------------------------------------------
-- 菜单类型
Lua_MenuViewDefine = {};
Lua_MenuViewDefine.TYPE_MAIN_ICON = 1; -- 主功能图标
Lua_MenuViewDefine.TYPE_DOWN_ICON = 2; -- 下方图标
Lua_MenuViewDefine.TYPE_TOP_ICON = 3; -- 上方图标
Lua_MenuViewDefine.TYPE_ACTIVITY_ICON = 4; -- 运营后台活动图标

Lua_MenuViewDefine.POS_MAIN_ICON = 1; -- 主功能图标
Lua_MenuViewDefine.POS_DOWNLEFT_ICON = 2; -- 右下角图标
Lua_MenuViewDefine.POS_DOWNRIGHT_ICON = 3; -- 右下角图标
Lua_MenuViewDefine.POS_TOPLEFT_ICON = 4; -- 左上角图标
Lua_MenuViewDefine.POS_TOPRIGHT_ICON = 5; -- 右上角图标
Lua_MenuViewDefine.POS_TOPRIGHT_SHRINK_ICON = 6; -- 右上角收缩栏图标

Lua_MenuViewDefine.INDEX_LIUHAI = 0; -- 刘海遮罩
Lua_MenuViewDefine.INDEX_ROLEINFO = 1; -- 玩家信息
Lua_MenuViewDefine.INDEX_TOPLEFT = 2; -- 左上方图标
Lua_MenuViewDefine.INDEX_TOPRIGHT = 3; -- 右上方图标
Lua_MenuViewDefine.INDEX_TOPRIGHT_SHRINK = 4; -- 右上方收缩栏
Lua_MenuViewDefine.INDEX_DOWNRIGHT = 5; -- 右下方图标
Lua_MenuViewDefine.INDEX_TASK = 6; -- 任务栏
Lua_MenuViewDefine.INDEX_CHAT = 7; -- 聊天栏
Lua_MenuViewDefine.INDEX_MAINICON = 8; -- 主功能图标
Lua_MenuViewDefine.INDEX_LEAGUE_REDPACKET = 9; -- 公会红包
Lua_MenuViewDefine.INDEX_INFINITYHALL = 10; -- 无尽火域buff提示

Lua_MenuViewDefine.MEBULIST_ALL = {0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10};
Lua_MenuViewDefine.MEBULIST_MAIN = {0, 1, 8};

Lua_MenuViewDefine.ICON_MAINCITY = 10001; -- 主城
Lua_MenuViewDefine.ICON_MAINLINE = 10003; -- 主线
Lua_MenuViewDefine.ICON_RACCOON = 10004; -- 浣熊
Lua_MenuViewDefine.ICON_WELFARE = 30001; -- 福利
Lua_MenuViewDefine.ICON_RACCOON_MART = 30006; -- 浣熊集市
Lua_MenuViewDefine.ICON_EXCELLENT_ACT = 30007; -- 精彩活动
Lua_MenuViewDefine.ICON_VALUE_FUND = 30008; -- 超值基金
Lua_MenuViewDefine.ICON_LIMIT_TIME_GIFT = 30010; -- 限时礼包
Lua_MenuViewDefine.ICON_WAR_ORDER = 30011; -- 战令
Lua_MenuViewDefine.ICON_OPENSERVER_CARNIVAL = 30015; -- 开服狂欢
Lua_MenuViewDefine.ICON_FUNC_PREVIEW = 30016; -- 功能预告
Lua_MenuViewDefine.ICON_LIMITEDTIME_ACT = 30017 -- 限时活动
Lua_MenuViewDefine.ICON_OPENSERVERTRIAL = 30019 -- 开服试炼
Lua_MenuViewDefine.ICON_HEROCHALLENGE = 30020 -- 英雄挑战

--------------------------------------------------
--------------------------------------------------
--------------------------------------------------
-- 场景类型
Lua_SceneDefine = {};
Lua_SceneDefine.CREATEROLE = 30101;
Lua_SceneDefine.MAINCITY = 10101;
Lua_SceneDefine.MAINLINE = 70101;
Lua_SceneDefine.MAINLINE_FIGHT = 20206;
Lua_SceneDefine.CHAMPION_SHIP = 40116;
Lua_SceneDefine.LEAGUE_BOSS = 40113;
Lua_SceneDefine.LEAGUE_DUEL_BOSS = 40117;
Lua_SceneDefine.KUNXU_HOLYLAND = 40119; -- 昆墟圣地
Lua_SceneDefine.PEAK_DUEL = 40120;

--------------------------------------------------
--------------------------------------------------
--------------------------------------------------
-- 装扮类型
Lua_DressUpDefine = {};
Lua_DressUpDefine.MAINTYPE_HEAD = 1;
Lua_DressUpDefine.MAINTYPE_FRAME = 2;
Lua_DressUpDefine.MAINTYPE_BUBBLE = 3;
Lua_DressUpDefine.MAINTYPE_TITLE = 4;
Lua_DressUpDefine.MAINTYPE_MODEL = 5;

--------------------------------------------------
--------------------------------------------------
--------------------------------------------------
-- 功能玩法类型
Lua_FuncPlayDefine = {};
Lua_FuncPlayDefine.TYPE_MAINCITY = 1;
Lua_FuncPlayDefine.TYPE_EXPERIENCE = 2;
Lua_FuncPlayDefine.TYPE_UNCHARTED_ADVENTURE = 3;
Lua_FuncPlayDefine.TYPE_ARENAE_NTRANCE = 4;
Lua_FuncPlayDefine.TYPE_HOME = 5;

-- 功能玩法id
Lua_FuncPlayDefine.ARENA_ENTRANCE = 20001;
Lua_FuncPlayDefine.UNCHARTED_ADVENTURE = 20002;
Lua_FuncPlayDefine.TOWER_ENTRANCE = 20003;
Lua_FuncPlayDefine.KUNXU_HOLYLAND = 20007;
Lua_FuncPlayDefine.EQUIP_COPY = 30004;
Lua_FuncPlayDefine.ARENA = 40001;
Lua_FuncPlayDefine.CHAMPIONSHIP = 40002;
Lua_FuncPlayDefine.PEAK_DUEL = 40003;
--------------------------------------------------
--------------------------------------------------
--------------------------------------------------
-- 字体类型
Lua_MyUISettings = {};
Lua_MyUISettings.defaultFontName = "yahei_font"; -- 微软雅黑
Lua_MyUISettings.huakangFontName = "huakang_font"; -- 华康
Lua_MyUISettings.fangzhengFontName = "fangzheng_font"; -- 方正

--------------------------------------------------
--------------------------------------------------
--------------------------------------------------
-- 不再提醒
Lua_NeverTipDefine = {};
Lua_NeverTipDefine.NONE = "NONE";
Lua_NeverTipDefine.MAINLINE_TASK_REFRESH = "MAINLINE_TASK_REFRESH";
Lua_NeverTipDefine.MAINLINE_FASTFIGHT = "MAINLINE_FASTFIGHT";
Lua_NeverTipDefine.ARENA_REMIND = "ARENA_REMIND";
Lua_NeverTipDefine.LUCKYGIFTBOX = "LUCKYGIFTBOX";
Lua_NeverTipDefine.ARTIFACE_SET = "ARTIFACE_SELECT";
Lua_NeverTipDefine.EQUIPCOPY_SINGEL_CHALLENGE = "EQUIPCOPY_SINGEL_CHALLENGE";
Lua_NeverTipDefine.DAILY_TRIAL = "DAILY_TRIAL";

--------------------------------------------------
--------------------------------------------------
--------------------------------------------------
-- 
Lua_SpaceDefine = {};
Lua_SpaceDefine.SPACE_1 = "\u{2000}" -- 半角空格(英文符号)。两个空格不会导致换行
Lua_SpaceDefine.SPACE_2 = "\u{00A0}" -- 不间断空格，主要用在office中，让一个单词在结尾处不会换行显示。
Lua_SpaceDefine.SPACE_3 = "\u{0020}" -- 半角空格(英文符号)，代码中常用。
Lua_SpaceDefine.SPACE_4 = "\u{3000}" -- 全角空格(中文符号) ，中文文章中使用。两个空格不会导致换行


Lua_SetUpDefine = {};
Lua_SetUpDefine.quality_level = "quality_level"; -- 游戏性能(舍弃)
Lua_SetUpDefine.is_play_music = "is_play_music";
Lua_SetUpDefine.is_play_sound = "is_play_sound";
Lua_SetUpDefine.is_play_voice = "is_play_voice";
Lua_SetUpDefine.music_volume = "music_volume"; -- 音乐音量
Lua_SetUpDefine.sound_volume = "sound_volume"; -- 音效音量
Lua_SetUpDefine.voice_volume = "voice_volume"; -- 语音音量
Lua_SetUpDefine.quality_lv = "quality_lv"; -- 游戏性能（新）
Lua_SetUpDefine.quality_msaa = "quality_msaa"; 
Lua_SetUpDefine.quality_renderscale = "quality_renderscale"; 



Lua_SpineEventType = {};
Lua_SpineEventType.Start = 0; 
Lua_SpineEventType.Interrupt = 1;
Lua_SpineEventType.End = 2;
Lua_SpineEventType.Dispose = 3;
Lua_SpineEventType.Complete = 4;
Lua_SpineEventType.Event = 4;



-- 新英雄功能开启显示对应类型
Lua_NewHeroFuncOpen = {}
Lua_NewHeroFuncOpen.atlas = 1;			-- 图鉴
Lua_NewHeroFuncOpen.dress = 2;			-- 装扮
Lua_NewHeroFuncOpen.hero_palace = 3;	-- 灵能机
Lua_NewHeroFuncOpen.collection_book = 4;-- 神兵列传收藏册
Lua_NewHeroFuncOpen.advance_recruit = 5;-- 高级招募
Lua_NewHeroFuncOpen.item = 6;			-- 道具
Lua_NewHeroFuncOpen.mail = 7;			-- 邮件
Lua_NewHeroFuncOpen.transaction = 8;	-- 公会交易行