--联盟系统 联盟成员Vo
Lua_AllianceMemberVo = class("Lua_AllianceMemberVo");

function Lua_AllianceMemberVo:ctor(data)
	if data ~= nil then
		self:fromServer(data);
	end
end

function Lua_AllianceMemberVo:dispose()
end

function Lua_AllianceMemberVo:fromServer(msg)
	self.online = msg.online;--0 离线，1 在线
	self.offlineTick = tonumber(msg.offline_tick);--离线时间戳
	self.contribute = msg.contribute;--联盟总贡献

	self.roleInfo = msg.show;--成员角色信息
	self.roleId = tonumber(self.roleInfo.id);--角色ID
	self.name = self.roleInfo.name;--角色名
	self.vipLv = self.roleInfo.vip;--vip等级
	self.force = self.roleInfo.force;--战力值
	self.position = self.roleInfo.league_position;--职位, 1会长，2 副会长，3 精英，4 普通成员
	self.serverPrev = self.roleInfo.server_prev;
	self.dress_info = self.roleInfo.dress_info;
	self.serverFlag = self.roleInfo.server_flag;
end

function Lua_AllianceMemberVo.Get:sort()
	local _sort = 0;
	if self.roleId == DataCenter.roleData.roleId then
		_sort = 10000;
	else
		if self.online == 1 then
			_sort = 10000 - self.position * 1000;
		else
			local hour = self.offlineTime / 3600
			if hour > 168 then
				hour = 168;
			end
			_sort = -self.position * 1000 - hour;
		end
	end
	return _sort;
end

function Lua_AllianceMemberVo.Get:sortTime()
	local _sortTime = 0;
	if self.online == 1 then
		_sortTime = 100;
	else
		_sortTime = -self.offlineTime;
	end
	return _sortTime;
end

function Lua_AllianceMemberVo.Get:offlineTime()
	return DataCenter.roleData.serverTime - self.offlineTick;
end

function Lua_AllianceMemberVo.Get:showName()
	if DataCenter.allianceData.isOpenKuafu then
		return LanUtil.formateStr(201249, self.name, self.serverPrev);
	else
		return self.name;
	end
end