checkRequire("Lua_ChatChanelIconItem");
Lua_ChatWithChanelItem = class("Lua_ChatWithChanelItem", Lua_DragContainerItem);
function Lua_ChatWithChanelItem:ctor(p)
	self.type = 1;
	self.showWidth = 695;
	self:superCall("ctor", p); 
end

function Lua_ChatWithChanelItem:buildShowItem()
	self:superCall("buildShowItem");
	
	self.height = 0;
	self.contentBg = UICreate.createUIAtlasImage(self.content, "chat_atlas", "ui_liaotian_window_003", 0, 0, self.showWidth - 150, 44);
	self.contentBg:setLocation(-249, -2);
	self.contentBg.anchorValue = 1;
	self.contentBg.pivot = UIUtils.Pivot.TopLeft;

	self.infoItem = Lua_ChatInfoItem.new(self.content, self.showWidth - 150);
	self.infoItem:setRectAnchor(1);
end

function Lua_ChatWithChanelItem:clean()
	self.height = 0;
	self.chatData = nil;
	self.showWidth = 695;
	self.infoItem:clean();
	self:superCall("clean");
end

function Lua_ChatWithChanelItem:dispose()
	if self.infoItem ~= nil then
		self.infoItem:dispose();
		self.infoItem = nil;
	end

	if self.chanelItem ~= nil then
		self.chanelItem:dispose();
		self.chanelItem = nil;
	end

	self:superCall("dispose");
end

function Lua_ChatWithChanelItem:getWidth()
    return 695;
end

function Lua_ChatWithChanelItem:getHeight()
    return self.height + 35;
end

function Lua_ChatWithChanelItem:setData(vo)
    self.chatData = vo;
	self.showWidth = self:getWidth();
	local str = vo:getMsg(false, false);
    if self.chanelItem == nil then
        self.chanelItem = Lua_ChatChanelIconItem.new(self.content);
        self.chanelItem:setRectAnchor(1);
        self.chanelItem:setLocation(-293, -27, 0);
    end
    self.chanelItem:setChanle(vo);

    self.infoItem:setTxtWidth(self.showWidth - 150);
	self.infoItem:setChatData(vo);
    self.infoItem:setData(str);
    self.infoItem:setLocation(-222, -10, 0);
    -- self.infoItem:setWidth(492);
	local w = self.infoItem.textWidth + 40;
	self.height = self.infoItem:getHeight() + 19;
	self.contentBg:SetDimensions(w, self.height);
end

function Lua_ChatWithChanelItem:getOffsetY()
    if DataCenter.chatData.openChannelTag ~= Lua_ChatData.CHANNEL_SYSTEM then
        return 45;
    end
end

function Lua_ChatWithChanelItem:onPressClick()
  	self.infoItem:checkUrlClick();
end