-- 跨服时空配置
checkRequire("Lua_CrossServerVo");
Lua_CrossServerUtil = class("Lua_CrossServerUtil");
function Lua_CrossServerUtil:ctor()
	self:dispose();
end

function Lua_CrossServerUtil:dispose()
	self.crossServerArr = nil;
end

function Lua_CrossServerUtil.Get:cCrossSeverInfo()
	if self.crossServerArr == nil then
		self.crossServerArr = Array();

		local cvo;
		local config = getConfig("cross_server");
		for k,v in pairs(config) do
			cvo = Lua_CrossServerVo.new(k, v);
			self.crossServerArr:add(cvo);
		end
	end
	self.crossServerArr:sort("sortWeight", true);
	return self.crossServerArr;
end