Lua_DailyRechargeVo = class("Lua_DailyRechargeVo")
function Lua_DailyRechargeVo:ctor(id)
	self.id = id;
	self.config = getConfig("daily_recharge", id);
end

function Lua_DailyRechargeVo:dispose()
	self.drawState = 0;
end

function Lua_DailyRechargeVo:updateRechargeInfo(state, worldLevel)
	self.drawState = state; -- 0未达成 1可领取 2已领取
	self.rewardKey = self:getRewardKey(worldLevel);
end

function Lua_DailyRechargeVo:getRewardKey(worldLevel)
	for i = 1, #self.world_level_reward do
		if worldLevel <= self.world_level_reward[i][2] then
			return self.world_level_reward[i][3];
		end
	end
	return self.world_level_reward[#self.world_level_reward][3];
end

-- 开启状态
function Lua_DailyRechargeVo.Get:open()
	return self.config.open == 1;
end

-- 购买金额
function Lua_DailyRechargeVo.Get:recharge()
	return self.config.recharge;
end

-- 世界等级奖励
function Lua_DailyRechargeVo.Get:world_level_reward()
	return self.config.world_level_reward;
end