-- 队伍
Lua_EquipCopyTeamVo = class("Lua_EquipCopyTeamVo")
function Lua_EquipCopyTeamVo:ctor(id)
	self.id = tonumber(id);
	self.team_list = nil;
end

function Lua_EquipCopyTeamVo:fromServer(msg)
	if msg == nil then
		return;
	end
	self.leader_name = msg.leader_name; -- 队长名
	self.is_full = tonumber(msg.is_full);-- 是否满员 0未满 1满
	self.total_force = tonumber(msg.total_force); -- 总战力
	self.fight_set = msg.team_set_info.fight_set; -- 战斗设置 0人满自动开始挑战 1失败再次自动挑战
	self.difficulty = msg.team_set_info.difficulty; -- 队伍难度
	self.force_cond = msg.team_set_info.force_cond; -- 战力要求 0无战力要求
	self.team_join_limit = msg.team_set_info.team_join_limit; -- 队伍加入限制 0任何可以加入 1邀请加入

	self.team_list = {};
	for i = 1, #msg.member_list do
		self.team_list[msg.member_list[i].pos] = msg.member_list[i];
	end
end

-- 战力是否达标
function Lua_EquipCopyTeamVo:isForec()
	return DataCenter.roleData.force >= self.force_cond;
end