-- 队伍成员
Lua_TeamMemberVo = class("Lua_TeamMemberVo")
function Lua_TeamMemberVo:ctor(id)
	self.id = tonumber(id);
end

function Lua_TeamMemberVo:dispose()
	self.lineupArr = nil;
end

function Lua_TeamMemberVo:fromServer(msg)
	if msg == nil then
		return;
	end

	self.status = msg.status; -- 准备状态 1已准备 0未准备
	self.boss_id = msg.boss_id; -- boss_id
	self.show_role = msg.show_role -- 成员外观
	self.boss_camp = msg.boss_camp; -- boss阵营
	self.difficulty = msg.difficulty;-- 最大通关难度
	self.force = tonumber(msg.force);-- 战力

	self.left_reward_times = msg.left_reward_times; -- 剩余挑战奖励次数
	self.extra_reward_times = msg.left_help_reward_times; -- 剩余协助奖励次数
	self.left_help_times = msg.left_help_times; -- 剩余协助次数

	local list = msg.lineup; -- 阵容
	local hvo;
	self.lineupArr = Array();
	for i = 1, #list do
		hvo = Lua_HeroVo.new(tonumber(list[i].hero_id));
		hvo.level = list[i].level;
		hvo.quality = list[i].quality;
		hvo.quality_star = list[i].quality_star;
		self.lineupArr:add(hvo);
	end
end

-- 是否是队长
function Lua_TeamMemberVo.Get:isLeader()
	return tonumber(self.show_role.id) ==DataCenter.equipCopyData.leader_id;
end

-- 是否是自己
function Lua_TeamMemberVo.Get:isSelf()
	return tonumber(self.show_role.id) == DataCenter.roleData.roleId;
end