Lua_FightDefine = {};
Lua_FightDefine.BORN_ACTION_TIME = 0.3; -- 出生动画表现时长
Lua_FightDefine.SKILL_RELEASE_MAX_TIME = 2; -- 技能释放最长时间

Lua_FightDefine.FIGHT_ATTACKER = 1; -- 攻击方
Lua_FightDefine.FIGHT_DEFENDER = 2; -- 防守方

-- 战斗配置模板ID
Lua_FightDefine.TEMPLATE_ID_MAINLINE = 2001; -- 主线冒险
Lua_FightDefine.TEMPLATE_ID_ARENA = 1002; -- 斗技场
Lua_FightDefine.TEMPLATE_ID_TRIAL = 1003; -- 试炼副本
Lua_FightDefine.TEMPLATE_ID_NORMEL_TOWER = 1004; -- 通天塔
Lua_FightDefine.TEMPLATE_ID_INFINITYHALL_1 = 1005; -- 无尽火域单人
Lua_FightDefine.TEMPLATE_ID_INFINITYHALL_2 = 1006; -- 无尽火域团队
Lua_FightDefine.TEMPLATE_ID_EXPEDITION = 1012; --  边境远征
Lua_FightDefine.TEMPLATE_ID_LEAGUEBOSS = 1013; --  联盟boss
Lua_FightDefine.TEMPLATE_ID_CHAMPIONSHIP = 1014; --  冠军赛
Lua_FightDefine.TEMPLATE_ID_STARTRIAL = 1016; --  星魂试炼
Lua_FightDefine.TEMPLATE_ID_CHAOSFOREST = 1017; --  混沌森林
Lua_FightDefine.TEMPLATE_ID_LEAGUECHALLENGE = 1018; --  联盟挑战
Lua_FightDefine.TEMPLATE_ID_PEAKDUEL = 1019; --  巅峰之战
Lua_FightDefine.TEMPLATE_ID_FRIENT = 1020; --  好友切磋
Lua_FightDefine.TEMPLATE_ID_HEROTRIAL_LEVEL = 1021; --  英雄试炼-关卡模式
Lua_FightDefine.TEMPLATE_ID_STORY = 1022; --  剧情关卡
Lua_FightDefine.TEMPLATE_ID_COPY_SINGLE = 1023;-- 寂灭岛单人
Lua_FightDefine.TEMPLATE_ID_COPY_MORE = 1024; -- 寂灭岛组队
Lua_FightDefine.TEMPLATE_ID_KUNXU = 1030; -- 昆墟圣地
Lua_FightDefine.TEMPLATE_ID_LEAGUEDUELBOSS = 1031; -- 公会对抗挑战
Lua_FightDefine.TEMPLATE_ID_LEAGUEDUELROB = 1032; -- 公会对抗抢夺
Lua_FightDefine.TEMPLATE_ID_BOSSCHALLENGE = 1033; -- BOSS挑战（后台活动）
Lua_FightDefine.TEMPLATE_ID_HEROCHALLENGE = 1034; -- 英雄挑战（本地活动）
Lua_FightDefine.TEMPLATE_ID_HEROTRIAL_ENDLESS = 1037; --  英雄试炼-无尽模式

-- 战斗回放类型
Lua_FightDefine.REPLAY_VIDEO = 1; -- 录像馆
Lua_FightDefine.LEAGUE_BOSS_VIDEO = 4; -- 联盟boss战斗录像

-- 战斗记录类型
Lua_FightDefine.LEAGUE_BOSS_RECORD = 1; -- 联盟boss

-- 战斗单位类型 0英雄，1怪物,2boss,3主角,4召唤物,5木桩boss,6木桩小怪
Lua_FightDefine.FIGHTER_HERO = 0;
Lua_FightDefine.FIGHTER_MOUSTER = 1;
Lua_FightDefine.FIGHTER_BOSS = 2;
Lua_FightDefine.FIGHTER_SUMMONED = 3;
Lua_FightDefine.FIGHTER_RACCOON = 4;
Lua_FightDefine.FIGHTER_STAKE_BOSS = 5;
Lua_FightDefine.FIGHTER_STAKE_MOUSTER = 6;








-- 战斗剧情事件
Lua_FightDefine.PLOT_CONDITION_HERO = 2001; -- 英雄
-- 战斗类型
Lua_FightDefine.FIGHT_TYPE_MAINLINE = 1; --主线
Lua_FightDefine.FIGHT_TYPE_STORYLEVEL = 22; -- 剧情关卡