-- 英雄属性
Lua_HeroPropVo = class("Lua_HeroPropVo")
function Lua_HeroPropVo:ctor(id)
    self.id = id;
end

function Lua_HeroPropVo:updateServerInfo(prop_list)
    self.prop_list = prop_list;
end







---------------------------------- 英雄属性 -------------------------------------------
-- 英雄服务端属性
function Lua_HeroPropVo.Get:heroBasePropInfo() 
    local serveerPropDic = {};
    if self.prop_list ~= nil then
        for i = 1, #self.prop_list do
            serveerPropDic[self.prop_list[i].name] = self.prop_list[i].value;
        end
    end
    return serveerPropDic;
end

-- 英雄基础属性
function Lua_HeroPropVo.Get:heroPropInfo()
    local baseProp = self.heroBasePropInfo;
    if baseProp == nil then
        return Array();
    end
    local list = {};
    local base_attr = DataCenter.heroUtil.hero_base_attr;
    local value;
    for i=1,#base_attr do
        value = baseProp[base_attr[i]];
        if value == nil then
            value = 0;
        end
        list[base_attr[i]] = Mathf.Floor(value + 0.5);
    end
    return DataCenter.attributesUtil:getAttrArrByConfig(list);
end

-- 英雄详细属性
function Lua_HeroPropVo.Get:heroDetailPropInfo()
    local arr = Array()
    local value;
    local propVo;
    local baseProp = self.heroBasePropInfo;
    local extra_attr = DataCenter.heroUtil.hero_special_attr;
    for i=1,#extra_attr do
        propVo = DataCenter.attributesUtil:createAttrVo(extra_attr[i]);
        value = baseProp[extra_attr[i]];
        if value == nil then
            value = 0;
        end
        if propVo.isPercent ~= 1 then
            value = Mathf.Floor(value + 0.5);
        else
            value = (string.format("%0.3f", value)*100).."%";
        end
        arr:add({show_name = propVo.show_name, showValue = value, attr_icon_1 = propVo.attr_icon_1})
    end
    return arr;
end