--图鉴vo
Lua_HeroAtlasVo = class("Lua_HeroAtlasVo")
function Lua_HeroAtlasVo:ctor(id, config)
    self.id = id;
    self.config = config;
    if self.config == nil then
        self.config = getConfig("hero_atlas", id);
    end
end

function Lua_HeroAtlasVo:fromServerInfo(msg)
    self.prop_list = msg.prop;--属性
    self.force = msg.force;--战力
    self.skill = msg.skill;--技能
    -- print(self.level,"self.force = =",self.force)
    -- for i=1,#self.skill do
    --     print(self.skill[i].key,"       id       ",self.skill[i].value,"      等级        ",self.skill[i].sub)
    -- end
end

function Lua_HeroAtlasVo.Get:heroVo() -- 明星Vo
    if self._heroVo == nil then
        self._heroVo = Lua_HeroVo.new(self.hero_id);
        self._heroVo.quality = self.quality;
        self._heroVo.quality_star = self.quality_star;
        self._heroVo.level = self.level;
    end
    self._heroVo.prop_list = self.prop_list;
    self._heroVo.heroForce = self.force;
    self._heroVo.skill = self.skill;
    return self._heroVo;
end

function Lua_HeroAtlasVo.Get:hero_id()
    return self.config.hero_id;
end

function Lua_HeroAtlasVo.Get:star()
    return self.config.star;
end

function Lua_HeroAtlasVo.Get:quality()
    return self.config.quality;
end


function Lua_HeroAtlasVo.Get:quality_star()
    return self.config.quality_star;
end


function Lua_HeroAtlasVo.Get:level()
    return self.config.level;
end

function Lua_HeroAtlasVo.Get:sort()
    return self.config.sort;
end

function Lua_HeroAtlasVo.Get:isShow()
    if self.config.isShow == nil then
        return 0;
    end
    return self.config.isShow;
end

function Lua_HeroAtlasVo.Get:path()
    if self.config.path ~= nil then
        return "/images/hero_atlas/"..self.config.path..".png";
    end
    return "";
end

function Lua_HeroAtlasVo.Get:isActivate() -- 是否激活
    if self._isActivate == nil then
        return false;
    end
    return self._isActivate;
end

function Lua_HeroAtlasVo.Set:isActivate(val) -- 是否激活
    self._isActivate = val;
end