--热度配置
Lua_HeroHeatUtil = class("Lua_HeroHeatUtil");
function Lua_HeroHeatUtil:ctor()
	self:superCall("ctor");
	self:dispose();
end

function Lua_HeroHeatUtil:dispose()
    self.bInit = false;
    self._fristTabArr = nil;
    self._secondTabArray = nil;
    self._threeTabArray = nil;
end

-- 功能开启id
function Lua_HeroHeatUtil.Get:heat_func_id()
    return getConfig("heat_const","func_id","value");
end

--获取配置id
function Lua_HeroHeatUtil:getHeatRankDataById(id)
    return getConfig("heat_rank", id);
end

function Lua_HeroHeatUtil:initConfigInfo()
    if self.bInit == false then
        self.bInit = true;
        self._fristTabArr = Array();
        self.secondTabDic = {};
        self.threeTabDic = {};
        local list = getConfig("heat_rank");
        for k, v in pairs(list) do
            -- if self.secondTabDic[v.first_id] == nil then
            --     self.secondTabDic[v.first_id] = {};
            --     --一级页签
            --     if v.b_first ~= 1 then
            --         self._fristTabArr:add(v.id);
            --     end
            -- end

            -- if self.secondTabDic[v.first_id][v.second_id] == nil then
            --     self.secondTabDic[v.first_id][v.second_id] = {};
            --     --二级页签
            --     if v.b_second ~= 1 then
            --         self.secondTabDic[v.first_id][v.second_id] = v.id;
            --     end
            -- end

            
            if self.threeTabDic[v.first_id] == nil then
                self.threeTabDic[v.first_id] = {};
                self.secondTabDic[v.first_id] = Array();
                --一级页签
                if v.b_first ~= 1 then
                    self._fristTabArr:add(v.id);
                end
            end

            if self.threeTabDic[v.first_id][v.second_id] == nil then
                self.threeTabDic[v.first_id][v.second_id] = Array();
                --二级页签
                if v.b_second ~= 1 then
                    self.secondTabDic[v.first_id]:add(v.id);
                end
            end
            --三级页签
            if v.b_second ~= 1 then
                self.threeTabDic[v.first_id][v.second_id]:add(v.id);
            end
        end
        self:sortArr(self._fristTabArr);
    end
end

-- 一级页签
function Lua_HeroHeatUtil.Get:fristTabArr()
    if self._fristTabArr == nil then
        self:initConfigInfo();
    end
    return self._fristTabArr;
end

-- 二级页签
function Lua_HeroHeatUtil:getSecondTabArr(first_id)
    if self.secondTabDic == nil then
        self:initConfigInfo();
    end
    if self.secondTabDic[first_id] ~= nil then
        local arr = self.secondTabDic[first_id];
        self:sortArr(arr);
        return arr; 
    end

    return arr;
end

-- 三级页签
function Lua_HeroHeatUtil:getThreeTabArr(first_id, second_id)
    if self.threeTabDic == nil then
        self:initConfigInfo();
    end

    if self.threeTabDic[first_id] ~= nil and self.threeTabDic[first_id][second_id] ~= nil then
        local arr = self.threeTabDic[first_id][second_id];
        self:sortArr(arr);
        return arr; 
    end
    
    return Array();
end

function Lua_HeroHeatUtil:sortArr(arr)
    if arr == nil then
        return;
    end
    local len = arr:getSize();
    local a;
    local b;
    for i = 1, len do
        for j = i + 1, len do
            a = arr[i];
            b = arr[j];
            if a > b then
                local temp = arr[i];
                arr[i] = arr[j];
                arr[j] = temp;
            end
        end
    end
end


-- 获取当前爬塔的层索引
function Lua_HeroHeatUtil:getFloorIndexByRandId(rank_id)
    local data = self:getHeatRankDataById(rank_id);
    if data.tower_value_list[1] == 0 then--展示全部
        return 1;
    end
    local cur_floor = 1;
    local towerscript_id = data.towerscript_id;--爬塔类型
    local towerData = DataCenter.climbTowerData:getTowerVoById(towerscript_id);
    if towerData ~= nil then
        cur_floor = towerData.cur_storey;
        -- print(cur_floor,"  444444444444  ",towerData.cur_storey)
    end

    local max;
    local list = data.tower_arr_value;
    for k,v in pairs(list) do
        max = v[2];
        if max == 0 then
            max = 9999999999;
        end
        if cur_floor >= v[1] and cur_floor < max then
            return tonumber(k);
        end
    end

    return 1; 
end