-- 英雄材料
Lua_HeroMaterialVo = class("Lua_HeroMaterialVo")
function Lua_HeroMaterialVo:ctor(index)
	self:superCall("ctor")
	self.index = index
end

-- [星级，阵营，数量，英雄ID]
function Lua_HeroMaterialVo:setData(data)
	self._id = data[4]
	self._quality = data[1][1]
	self._quality_star = data[1][2]
	self._camp = data[2]
	self._num = data[3]
end

function Lua_HeroMaterialVo.Get:id()
	return self._id == nil and 0 or self._id
end

function Lua_HeroMaterialVo.Get:star()
	if self.id == 0 then
		return 0
	end
	return self.heroVo.star
end

function Lua_HeroMaterialVo.Get:quality()
	return self._quality == nil and 0 or self._quality
end

function Lua_HeroMaterialVo.Get:quality_star()
	return self._quality_star == nil and 0 or self._quality_star
end

function Lua_HeroMaterialVo.Get:camp()
	return self._camp == nil and 0 or self._camp
end

function Lua_HeroMaterialVo.Get:num()
	return self._num == nil and 0 or self._num
end

function Lua_HeroMaterialVo.Get:heroVo()
	if self._heroVo == nil then
		self._heroVo = Lua_HeroVo.new(self.id)
		self._heroVo.level = 0
		self._heroVo.quality = self.quality
		self._heroVo.quality_star = self.quality_star
		self._heroVo.campType = self.camp
	end
	return self._heroVo
end