Lua_HundredCeremonyVo = class("Lua_HundredCeremonyVo")
function Lua_HundredCeremonyVo:ctor(id, config)
	self.id = id;
	self._config = config;

	self:dispose();
end

function Lua_HundredCeremonyVo.Get:config()
	if self._config == nil then
		self._config = getConfig("hundred_ceremony", self.id)
	end
	return self._config
end

function Lua_HundredCeremonyVo:dispose()
	self.state = 0;
end

function Lua_HundredCeremonyVo:setHCRewardState(msg)
	self.state = msg;
end

-------------------- 配置数据 --------------------
function Lua_HundredCeremonyVo.Get:reward()
	return self.config.reward;
end

function Lua_HundredCeremonyVo.Get:hcShowVo()
	if self._hcShowVo == nil then
		self._hcShowVo = Lua_ToolVo.createToolVo(self.reward[1][1], self.reward[1][2]);
	end
	return self._hcShowVo;
end