checkRequire("Lua_KunXuHolyLandData");
checkRequire("Lua_KunXuHolyLandUtil");
Lua_KunXuHolyLandProxy = class("Lua_KunXuHolyLandProxy");
function Lua_KunXuHolyLandProxy:ctor()
	DataCenter.kunXuHolyLandUtil = Lua_KunXuHolyLandUtil.new();
	DataCenter.kunXuHolyLandData = Lua_KunXuHolyLandData.new();

    Lua_MsgUtil.addLuaMsg(50204001, self, self.rGetKunXuInfo);--请求活动界面信息(返回)
    Lua_MsgUtil.addLuaMsg(50204002, self, self.rQuickFight);--请求快速战斗(返回)
    Lua_MsgUtil.addLuaMsg(50204003, self, self.rGetPassFight);--请求跳过战斗开关(返回)
    Lua_MsgUtil.addLuaMsg(50204004, self, self.rReceivedStarReward);--请求领取星级奖励(返回)
    Lua_MsgUtil.addLuaMsg(50204005, self, self.rReceivedPerfectReward);--请求领取完美通关奖励(返回)
    Lua_MsgUtil.addLuaMsg(50204006, self, self.rReceivedPassReward);--请求领取全通奖励(返回)
    Lua_MsgUtil.addLuaMsg(80204001, self, self.rStopFightRequire);--通知活动关闭战斗(返回)
    Lua_MsgUtil.addLuaMsg(80204002, self, self.rUpdateNewStage);--通知活动可以更新新一轮(返回)
end


---------------------------------------请求--------------------------------
function Lua_KunXuHolyLandProxy:sGetKunXuInfo(first_open) --请求活动界面信息:首次开启标志 0跳过 1开启
	local cmd = ProtoPublic_pb.Proto10204001();
    cmd.first_open = first_open;
    sendMsg(10204001, cmd);
end

function Lua_KunXuHolyLandProxy:sQuickFight() --请求快速战斗
    sendMsg(10204002);
end

function Lua_KunXuHolyLandProxy:sGetPassFight(switch_state) --请求跳过战斗开关
    local cmd = ProtoPublic_pb.Proto10204003();
    cmd.switch_state = switch_state;

    sendMsg(10204003, cmd);
end

function Lua_KunXuHolyLandProxy:sReceivedStarReward(reward_id) --请求领取星级奖励
	local cmd = ProtoPublic_pb.Proto10204004();
    cmd.reward_id = reward_id;
    sendMsg(10204004, cmd);
end

function Lua_KunXuHolyLandProxy:sReceivedPerfectReward() --请求领取完美通关奖励
    sendMsg(10204005);
end

function Lua_KunXuHolyLandProxy:sReceivedPassReward() --请求领取全通奖励
    sendMsg(10204006);
end









---------------------------------------返回--------------------------------
--请求活动界面信息(返回)
function Lua_KunXuHolyLandProxy:rGetKunXuInfo(mp) --请求活动界面信息(返回)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50204001();
        msg:ParseFromString(mp.data);
        DataCenter.kunXuHolyLandData:fromServer50204001(msg);
        Lua_MsgUtil.callFunc("UPDATE_KUNXU_LEVEL_INFO");
        Lua_MsgUtil.callFunc("UPDATE_EXPERIENCEITEM_INFO"); -- 入口item
        
        -- Lua_WindowUtil.openWin("Lua_CollectionBShareWeaponWindow", Lua_WinParam.ACTION_OPEN);
    end
end

function Lua_KunXuHolyLandProxy:rQuickFight(mp) --请求快速战斗(返回)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50204002();
        msg:ParseFromString(mp.data);
        DataCenter.kunXuHolyLandData:fromServer50204002(msg);
        Lua_WindowUtil.openWin("Lua_KunXuHolyLandQuickFightWindow", Lua_WinParam.ACTION_OPEN, #msg.stage_state);
        Lua_MsgUtil.callFunc("UPDATE_KUNXU_MODEL_MOVE");
    end
end

function Lua_KunXuHolyLandProxy:rGetPassFight(mp) --请求跳过战斗开关(返回)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50204003();
        msg:ParseFromString(mp.data);
        DataCenter.kunXuHolyLandData:fromServer50204003(msg);
        Lua_MsgUtil.callFunc("UPDATE_KUNXU_UPDATEPASSFIGHTBOX_STATE");
    end
end

function Lua_KunXuHolyLandProxy:rReceivedStarReward(mp) --请求领取星级奖励(返回)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50204004();
        msg:ParseFromString(mp.data);
        DataCenter.kunXuHolyLandData:fromServer50204004(msg);
        Lua_MsgUtil.callFunc("UPDATE_KUNXU_STARREWARD");
    end
end

function Lua_KunXuHolyLandProxy:rReceivedPerfectReward(mp) --请求领取完美通关奖励(返回)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50204005();
        msg:ParseFromString(mp.data);
        DataCenter.kunXuHolyLandData:fromServer50204005(msg);
        Lua_MsgUtil.callFunc("UPDATE_KUNXU_FULLPASS_REWRAD");
    end
end

function Lua_KunXuHolyLandProxy:rReceivedPassReward(mp) --请求领取全通奖励(返回)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50204006();
        msg:ParseFromString(mp.data);
        DataCenter.kunXuHolyLandData:fromServer50204006(msg);
        Lua_MsgUtil.callFunc("UPDATE_KUNXU_REWARD_LEVEL");
    end
end

function Lua_KunXuHolyLandProxy:rStopFightRequire(mp) --通知活动关闭战斗(返回)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto80204001();
        msg:ParseFromString(mp.data);
        DataCenter.kunXuHolyLandData:fromServer80204001(msg);
        -- Lua_MsgUtil.callFunc("UPDATE_KUNXU_PASSREWARD");
    end
end

function Lua_KunXuHolyLandProxy:rUpdateNewStage(mp) --通知活动可以更新新一轮(返回)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto80204002();
        msg:ParseFromString(mp.data);
        DataCenter.kunXuHolyLandData:fromServer80204002(msg);
    end
end