Lua_KunXuHolyLandUtil = class("Lua_KunXuHolyLandUtil");
Lua_KunXuHolyLandUtil.LINEUP_TYPE = 31;--英雄布阵配置表-昆墟圣地
function Lua_KunXuHolyLandUtil:ctor()
end

function Lua_KunXuHolyLandUtil:dispose()
	self.starOrginalDesc = nil;
	self._modelPosList = nil;
end

-- 根据id获取星级条件原始描述
function Lua_KunXuHolyLandUtil:getStarConditionStrById(id)
	if id == nil then
		return;
	end

	if self.starOrginalDesc == nil then
		self.starOrginalDesc = {};
	end

	if self.starOrginalDesc[id] == nil then
		self.starOrginalDesc[id] = getConfig("holy_land_cond", id).desc;
	end
	return self.starOrginalDesc[id];
end

function Lua_KunXuHolyLandUtil:getDesc(conditionId, descList)
	local _desc;
	local str = self:getStarConditionStrById(conditionId);
	if conditionId == 1 then
		_desc = str;
	elseif conditionId == 3 then -- 剩余血量
		_desc = LanUtil.formateStr(str, descList[1] * 100);
	elseif conditionId == 2 or conditionId == 6 then
		_desc = LanUtil.formateStr(str, descList[1]);
	elseif conditionId == 4 or conditionId == 5 then
		_desc = LanUtil.formateStr(str, DataCenter.heroUtil:getCampName(descList[1]), DataCenter.heroUtil:getHeroCareer(descList[2]), tostring(descList[3]));
	else
		_desc = "";
	end
	return _desc;
end

function Lua_KunXuHolyLandUtil.Get:totalStarCount()
	return getConfig("holy_land_const", "total_star", "value");
end

-- 昆墟圣地战斗开始显示界面存在时间
function Lua_KunXuHolyLandUtil.Get:startFightTime()
	return getConfig("holy_land_const", "exit_time", "value");
end

-- 昆墟圣地快速战斗显示间隔
function Lua_KunXuHolyLandUtil.Get:quickFightDeltaTime()
	return 0.5;
end

function Lua_KunXuHolyLandUtil.Get:showRankNum()
	return getConfig("holy_land_const", "residue_rank_num", "value");
end

function Lua_KunXuHolyLandUtil.Get:mapPosList()
	return getConfig("holy_land_const", "level_pos_list", "arr_value");
end

function Lua_KunXuHolyLandUtil.Get:modelPosList()
	if self._modelPosList == nil then
		self._modelPosList = getConfig("holy_land_const", "model_pos_list", "arr_value");
	end
	return self._modelPosList;
end

function Lua_KunXuHolyLandUtil:getFullPassIconSpriteByState(state)
	local config = getConfig("holy_land_const", "full_pass_icon", "arr_value");
	if state == 1 then -- 未满足时
		return config[1], config[2];
	elseif state == 2 then -- 高光时特效
		return config[3];
	end
end

