-- 星辉神像能量表
Lua_StatueEnergyCofingData = class("Lua_StatueEnergyCofingData");
function Lua_StatueEnergyCofingData.getConfigData(id)
    if Lua_StatueEnergyCofingData.configDic == nil then
		Lua_StatueEnergyCofingData.configDic = {};
	end

	id = tonumber(id);
	if Lua_StatueEnergyCofingData.configDic[id] == nil then
		local cfg = getConfig("star_statue_energy", id);
	    if cfg == nil then
	    	LogManager.LogError("no star_statue_energy id = " .. id, false);
	    	return nil;
	    end
		Lua_StatueEnergyCofingData.configDic[id] = Lua_StatueEnergyCofingData.new(id, cfg);
	end
	return Lua_StatueEnergyCofingData.configDic[id];
end

function Lua_StatueEnergyCofingData:ctor(id, cfg)
    self:superCall("ctor");
    self.id = id;
    self.config = cfg;
    if self.config == nil then
	    self.config = getConfig("star_statue_energy",id);
	end
end

function Lua_StatueEnergyCofingData.Get:hero_id() -- 英雄ID
    return self.config.hero_id;
end

-- function Lua_StatueEnergyCofingData.Get:star() -- 英雄ID
--     return self.config.star;
-- end

function Lua_StatueEnergyCofingData.Get:quality() -- 英雄品质
    return self.config.quality;
end

function Lua_StatueEnergyCofingData.Get:quality_star() -- 品质星级
    return self.config.quality_star;
end

function Lua_StatueEnergyCofingData.Get:energy_id() -- 能量值id
    return self.config.energy[1][1];
end

function Lua_StatueEnergyCofingData.Get:energy_value() -- 能量值
    return self.config.energy[1][2];
end

function Lua_StatueEnergyCofingData.Get:sort() -- 排序
    return self.config.sort;
end
