Lua_NewHeroShopHotVo = class("Lua_NewHeroShopHotVo");
function Lua_NewHeroShopHotVo:ctor()
end

function Lua_NewHeroShopHotVo:updateShopHotInfo(msg)
	self.giftId = msg.gift_id; -- 礼包id
	self.buyLimit = msg.buy_limit; -- 限购次数
	self.title = msg.title; -- 标题
	self.rechargeId = msg.recharge_id; -- 充值id(为0表示钻石礼包)
	self.itemList = msg.item_list; -- 奖励的道具列表 键:道具id 值:道具数量
	self.buyItem = msg.buy_item; -- 购买使用道具 k道具id(为0表示RMB礼包) v数量

	self.buyTimes = msg.buy_times; -- 已购买次数
	self.hasTimes = msg.buy_limit - msg.buy_times; -- 已购买次数
end

function Lua_NewHeroShopHotVo.Get:tvoArr()
	local tvo;
	local arr = Array();
	for i = 1, #self.itemList do
		tvo = Lua_ToolVo.createToolVo(self.itemList[i].key, self.itemList[i].value);
		arr:add(tvo);
	end
	return arr;
end