-- 新英雄主题活动 剧情关卡 关卡Vo
Lua_NewHeroStoryLevelVo = class("Lua_NewHeroStoryLevelVo");

function Lua_NewHeroStoryLevelVo:ctor()
	self:dispose();
end

function Lua_NewHeroStoryLevelVo:dispose()
end

function Lua_NewHeroStoryLevelVo:fromServerInfo(msg)
	self.id = msg.id; -- 关卡id
	self.name = msg.name; -- 关卡名
	self.chapterId = msg.chapter_id; -- 所属篇章
	self.state = msg.state; -- 关卡剧情状态（0：未解锁，1：可看剧情，2可挑战，3：已领取）
	self.title = msg.title; -- 剧情标题
	self.content = msg.content; -- 剧情描述
	self.storyIndex = msg.story_index; -- 剧情帧索引
	self.isFight = msg.is_fight; -- 是否需要战斗（0：否，1：是）

	self.rewardList = msg.reward_list; -- 奖励信息
end

function Lua_NewHeroStoryLevelVo.Get:rewardVoArr()
	local arr = Array();
	local vo;
	for k, v in ipairs(self.rewardList) do
		vo = Lua_ToolVo.new(v.key, v.value);
		vo.state = self.state;
		arr:add(vo);
	end
	return arr;
end