-- 后台活动基类
checkRequire("Lua_OperationalActivitiesWindow")
Lua_BackstageActivitiesWindow = class("Lua_BackstageActivitiesWindow", Lua_OperationalActivitiesWindow);

function Lua_BackstageActivitiesWindow:checkActList(actVo)
	self.actDic = {};
	local arr;
	local actIdx;
	local selectIdx;
	if type(self.showData) == "table" then
		-- 主图标打开
		if self.showData.typeof ~= nil and self.showData:typeof() == "Array" then
			arr = self.showData;
		-- 子图标打开
		else
			if self.showData.main_icon and self.showData.main_icon > 0 then -- 包含其他活动然后选择当前活动
				arr = DataCenter.backstageActData:getActArrByMainIconId(self.showData.main_icon);
			else
				arr = Array();
				arr:add(self.showData.actIdx);
			end
			actIdx = self.showData.actIdx;
		end
	-- 活动类型打开
	elseif type(self.showData) == "number" then
		arr = DataCenter.backstageActData:getActIdxArrByType(self.showData);
		if arr and arr:getSize() > 0 then
			local vo = DataCenter.backstageActData:getActVoByIdx(arr[1]);
			if vo.main_icon and vo.main_icon > 0 then -- 包含其他活动然后选择当前活动
				arr = DataCenter.backstageActData:getActArrByMainIconId(vo.main_icon);
			end
			actIdx = vo.actIdx;
		end
	end
	if actVo then
		actIdx = actVo.actIdx;
	end

	local len = arr:getSize();
	for i = 1, len do
		if arr[i] == actIdx then
			selectIdx = i;
		end
		actVo = DataCenter.backstageActData:getActVoByIdx(arr[i]);
		self.actDic[actVo.actType] = 1;
	end

	selectIdx = selectIdx or 1;
	local width = self.mainItemW * len;
	width = width > 605 and 605 or width;
	self.actList:setContentRect(width, self.mainItemH, false);
	self.actList:setArrayData(arr);
	self.actList.canDrag = not self.actList.isTheEnd;
	self.actList:moveToIndex(selectIdx, true);
	self.actList:setSelectClick(selectIdx);
end

function Lua_BackstageActivitiesWindow:onActivitySelected(actVo)
	if self.actVo == actVo or not self:checkActivityIsExist(actVo) then
		return;
	end
	DataCenter.operationalActUtil.selectedActVo = actVo;
	self:updateShowPanel(actVo);
end