--巅峰对决
checkRequire("Lua_PeakDuelUtil");
checkRequire("Lua_PeakDuelData");
Lua_PeakDuelProxy = class("Lua_PeakDuelProxy")
function Lua_PeakDuelProxy:ctor()
    DataCenter.peakDuelUtil = Lua_PeakDuelUtil.new(); -- 跨服配置
    DataCenter.peakDuelData = Lua_PeakDuelData.new(); -- 数据数据
    
    Lua_MsgUtil.addLuaMsg(50161001, self, self.rPDInfo);       -- 请求巅峰对决界面信息(返回)

    Lua_MsgUtil.addLuaMsg(50161003, self, self.rPDMatch);-- 请求巅峰对决匹配结果(返回)

    Lua_MsgUtil.addLuaMsg(50161004, self, self.rPDHook);       -- 请求领取巅峰对决挂机收益(返回)
    Lua_MsgUtil.addLuaMsg(50161005, self, self.rPDDanReward);  -- 请求领取巅峰对决段位奖励(返回)
    Lua_MsgUtil.addLuaMsg(50161006, self, self.rPDStandings);  -- 请求领取巅峰对决战绩信息(返回)
    Lua_MsgUtil.addLuaMsg(50161007, self, self.rPDFightRecord);-- 请求巅峰对决战斗记录信息(返回)

    Lua_MsgUtil.addLuaMsg(50161008, self, self.rPDRank);       -- 请求巅峰对决排名信息(返回)
    Lua_MsgUtil.addLuaMsg(50161009, self, self.rPDHeat);       -- 请求巅峰对决排名点赞(返回)

    Lua_MsgUtil.addLuaMsg(50161017, self, self.rPDGuess);      -- 请求巅峰对决竞猜界面信息(返回)
    Lua_MsgUtil.addLuaMsg(50161018, self, self.rPDGuessBet);-- 请求巅峰对决竞猜下注(返回)
    Lua_MsgUtil.addLuaMsg(50161019, self, self.rPDGuessRecord);-- 请求巅峰对决竞猜记录(返回)

    Lua_MsgUtil.addLuaMsg(50161020, self, self.rPDHookTime);   -- 请求巅峰对挂机收益积分(返回)
    Lua_MsgUtil.addLuaMsg(50161021, self, self.rPDBuyTimes);   -- 请求巅峰对挂机收益积分(返回)

    Lua_MsgUtil.addLuaMsg(50161022, self, self.rPDMatchInfo);  -- 请求巅峰对决匹配(返回)

    Lua_MsgUtil.addLuaMsg(50161023, self, self.rPDGuessNum);   -- 请求巅峰对决竞猜支持人数信息(返回)
    Lua_MsgUtil.addLuaMsg(50161024, self, self.rPDGuessResult);-- 请求巅峰对决竞猜结果信息(返回)

    Lua_MsgUtil.addLuaMsg(50161025, self, self.rPDDivision); -- 请求赛区列表信息(返回)
    Lua_MsgUtil.addLuaMsg(50161026, self, self.rSeason); -- 请求赛区赛季列表信息返回
    Lua_MsgUtil.addLuaMsg(50161027, self, self.rFightDetails); -- 请求巅峰对决战报详情返回

    -- Lua_MsgUtil.addLuaMsg(80161002, self, self.rPDOpenState);  -- 通知巅峰对决功能开启
    Lua_MsgUtil.addLuaMsg(80161027, self, self.rRedPointState);  -- 通知巅峰对决红点
end 



----------------------------------------------------------------------------------------------------------------------------
-- 上行消息号

-- 请求巅峰对决界面信息
function Lua_PeakDuelProxy:sPDInfo()
    sendMsg(10161001);
end

-- 请求巅峰对决匹配
function Lua_PeakDuelProxy:sPDMatch(is_skip)
    local cmd = ProtoPublic_pb.Proto10161003();
    cmd.is_skip = is_skip;
    sendMsg(10161003, cmd);
end

-- 请求领取巅峰对决挂机收益
function Lua_PeakDuelProxy:sPDHook()
    sendMsg(10161004);
end

-- 请求领取巅峰对决段位奖励
function Lua_PeakDuelProxy:sPDDanReward()
    sendMsg(10161005);
end

-- 请求领取巅峰对决战绩信息
function Lua_PeakDuelProxy:sPDStandings(_type, competition_season, role_id, region_id, server_flag)
    local cmd = ProtoPublic_pb.Proto10161006();
    cmd.type = _type;--1:总战绩 2：赛季战绩
    cmd.competition_season = competition_season;
    cmd.role_id = tonumber(role_id);
    cmd.region_id = tonumber(region_id);
    cmd.server_flag = server_flag;
    sendMsg(10161006, cmd);
end

-- 请求巅峰对决战斗记录信息
function Lua_PeakDuelProxy:sPDFightRecord(index)
    local cmd = ProtoPublic_pb.Proto10161007();
    cmd.type = index;--1: 我的录像 2：大师录像
    sendMsg(10161007, cmd);
end

-- 请求巅峰对决排名信息
function Lua_PeakDuelProxy:sPDRank(region_id, times, page)
    local cmd = ProtoPublic_pb.Proto10161008();
    cmd.region_id = tonumber(region_id);
    cmd.times = times;
    cmd.page = page;
    sendMsg(10161008, cmd);
end

-- 请求巅峰对决排名点赞
function Lua_PeakDuelProxy:sPDLike(player_id, region_id, times, score)
    local cmd = ProtoPublic_pb.Proto10161009();
    cmd.player_id = tonumber(player_id);--0.本服 其他赛区id
    cmd.region_id = tonumber(region_id);--赛区id
    cmd.times = times;
    cmd.score = score;
    sendMsg(10161009, cmd);
end

-- 请求巅峰对决竞猜界面信息
function Lua_PeakDuelProxy:sPDGuess()
    sendMsg(10161017);
end

-- 请求巅峰对决竞猜下注
function Lua_PeakDuelProxy:sPDGuessBet(bet_id)
    local cmd = ProtoPublic_pb.Proto10161018();
    cmd.bet_id = bet_id;--1：左方 2：右方
    sendMsg(10161018, cmd);
end

-- 请求巅峰对决竞猜记录
function Lua_PeakDuelProxy:sPDGuessRecord()
    sendMsg(10161019);
end

-- 请求挂机积分收益信息
function Lua_PeakDuelProxy:sPDHookTime()
    sendMsg(10161020);
end

-- 请求购买巅峰对决匹配次数
function Lua_PeakDuelProxy:sPDBuyTimes()
    sendMsg(10161021);
end

-- 请求巅峰对决匹配界面信息
function Lua_PeakDuelProxy:sPDMatchInfo()
    sendMsg(10161022);
end

-- 请求巅峰对决竞猜支持人数信息
function Lua_PeakDuelProxy:sPDGuessNum()
    sendMsg(10161023);
end

-- 请求巅峰对决竞猜结果信息
function Lua_PeakDuelProxy:sPDGuessResult()
    sendMsg(10161024);
end

-- 请求赛区列表信息
function Lua_PeakDuelProxy:sPDDivision()
    sendMsg(10161025);
end

-- 请求赛区赛季列表信息
function Lua_PeakDuelProxy:sSeason(region_id)
    local cmd = ProtoPublic_pb.Proto10161026();
    cmd.region_id = tonumber(region_id);
    sendMsg(10161026, cmd);
end

-- 请求巅峰对决战报详情
function Lua_PeakDuelProxy:sFightDetails(type, record_id)
    local cmd = ProtoPublic_pb.Proto10161027();
    cmd.type = type;
    cmd.record_id = tonumber(record_id);
    sendMsg(10161027, cmd);
end

-- 请求巅峰对决上次战斗
function Lua_PeakDuelProxy:sFightReplay()
    sendMsg(10161028);
end





----------------------------------------------------------------------------------------------------------------------------
-- 下行消息号

-- 请求巅峰对决界面信息(返回)
function Lua_PeakDuelProxy:rPDInfo(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50161001();
        msg:ParseFromString(mp.data);
        DataCenter.peakDuelData:fromServer50161001(msg);
        Lua_MsgUtil.callFunc("PEAK_DUEL_INFO", msg);
    end
end

-- 请求巅峰对决匹配结果(返回)
function Lua_PeakDuelProxy:rPDMatch(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50161003();
        msg:ParseFromString(mp.data);
        DataCenter.peakDuelData:fromServer50161003(msg);
        if msg.match_result == 0 then
            OperateAlert.showLangValue(202995)
        end
        Lua_MsgUtil.callFunc("PEAK_DUEL_MATCH", msg);
        Lua_MsgUtil.callFunc("PEAK_DUEL_BUY_TIMES");
    end
end

-- 请求领取巅峰对决挂机收益(返回)
function Lua_PeakDuelProxy:rPDHook(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50161004();
        msg:ParseFromString(mp.data);
        DataCenter.peakDuelData:checkHookRedPoint(msg)
        Lua_MsgUtil.callFunc("PEAK_DUEL_HOOK_INFO",msg);
    end
end

-- 请求领取巅峰对决段位奖励(返回)
function Lua_PeakDuelProxy:rPDDanReward(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50161005();
        msg:ParseFromString(mp.data);
        DataCenter.peakDuelData:fromServer50161005(msg);
        Lua_MsgUtil.callFunc("PEAK_DUEL_RANK_REWARD", msg);
    end
end

-- 请求领取巅峰对决战绩信息(返回)
function Lua_PeakDuelProxy:rPDStandings(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50161006();
        msg:ParseFromString(mp.data);
        Lua_MsgUtil.callFunc("PEAK_DUEL_PERSONALRECORD", msg);
    end
end

-- 请求巅峰对决战斗记录信息(返回)
function Lua_PeakDuelProxy:rPDFightRecord(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50161007();
        msg:ParseFromString(mp.data);
        Lua_MsgUtil.callFunc("PEAK_DUEL_FIGHT_RECOR", msg);
    end
end

-- 请求巅峰对决排名信息(返回)
function Lua_PeakDuelProxy:rPDRank(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50161008();
        msg:ParseFromString(mp.data);
        Lua_MsgUtil.callFunc("PEAK_DUEL_RANK_INFO", msg);
    end
end

-- 请求巅峰对决排名点赞(返回)
function Lua_PeakDuelProxy:rPDHeat(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50161009();
        msg:ParseFromString(mp.data);
        DataCenter.peakDuelData:fromServer50161009(msg);
        Lua_MsgUtil.callFunc("PEAK_DUEL_RANK_UPDATE", msg);
    end
end

-- 请求巅峰对决竞猜界面信息(返回)
function Lua_PeakDuelProxy:rPDGuess(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50161017();
        msg:ParseFromString(mp.data);
        Lua_MsgUtil.callFunc("PEAK_DUEL_GUESS_INFO", msg);
    end
end

-- 请求巅峰对决竞猜下注(返回)
function Lua_PeakDuelProxy:rPDGuessBet(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50161018();
        msg:ParseFromString(mp.data);
        Lua_MsgUtil.callFunc("PEAK_DUEL_GUESS_NUM",msg);
    end
end

-- 请求巅峰对决竞猜记录(返回)
function Lua_PeakDuelProxy:rPDGuessRecord(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50161019();
        msg:ParseFromString(mp.data);
        Lua_MsgUtil.callFunc("PEAK_DUEL_GUESS_RECORD",msg);
    end
end

-- 请求巅峰对挂机收益积分(返回)
function Lua_PeakDuelProxy:rPDHookTime(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50161020();
        msg:ParseFromString(mp.data);
        DataCenter.peakDuelData:checkHookRedPoint(msg)
        Lua_MsgUtil.callFunc("PEAK_DUEL_HOOK_INFO", msg);
    end
end

-- 请求购买巅峰对决匹配次数(返回)
function Lua_PeakDuelProxy:rPDBuyTimes(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50161021();
        msg:ParseFromString(mp.data);
        DataCenter.peakDuelData:fromServer50161021(msg);
        Lua_MsgUtil.callFunc("PEAK_DUEL_BUY_TIMES");
    end
end

-- 请求巅峰对决匹配界面信息(返回)
function Lua_PeakDuelProxy:rPDMatchInfo(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50161022();
        msg:ParseFromString(mp.data);
        DataCenter.peakDuelData:fromServer50161022(msg);
        Lua_MsgUtil.callFunc("PEAK_DUEL_MATCH", msg);
    end
end

-- 请求巅峰对决竞猜支持人数信息(返回)
function Lua_PeakDuelProxy:rPDGuessNum(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50161023();
        msg:ParseFromString(mp.data);
        Lua_MsgUtil.callFunc("PEAK_DUEL_GUESS_NUM", msg);
    end
end

-- 请求巅峰对决竞猜结果信息(返回)
function Lua_PeakDuelProxy:rPDGuessResult(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50161024();
        msg:ParseFromString(mp.data);
        Lua_WindowUtil.openWin("Lua_PeakDuelGuessResultWindow", Lua_WinParam.ACTION_OPEN, msg.guess_result);
    end
end

-- 请求赛区列表信息(返回)
function Lua_PeakDuelProxy:rPDDivision(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50161025();
        msg:ParseFromString(mp.data);
        Lua_MsgUtil.callFunc("PEAK_DUEL_DIVISION", msg);
    end
end

-- 请求赛区赛季列表信息返回
function Lua_PeakDuelProxy:rSeason(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50161026();
        msg:ParseFromString(mp.data);
        DataCenter.peakDuelData:fromServer50161026(msg)
        Lua_MsgUtil.callFunc("PEAK_DUEL_RANK_SEASON", msg);
    end
end

-- 请求赛区赛季列表信息返回
function Lua_PeakDuelProxy:rFightDetails(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50161027();
        msg:ParseFromString(mp.data);
        Lua_MsgUtil.callFunc("PEAK_DUEL_FIGHT_DETAILS", msg);
    end
end

-- 通知巅峰对决功能开启
-- function Lua_PeakDuelProxy:rPDOpenState(mp)
--     if mp.errno == 0 then
--         local msg = ProtoPublic_pb.Proto80161002();
--         msg:ParseFromString(mp.data);
--     end
-- end

-- 通知巅峰对决红点
function Lua_PeakDuelProxy:rRedPointState(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto80161027();
        msg:ParseFromString(mp.data);
        DataCenter.peakDuelData:fromServer80161027(msg);
    end
end