checkRequire("Lua_MonthCardData");
checkRequire("Lua_DailyGiftData");
checkRequire("Lua_WeeklyGiftData");
checkRequire("Lua_MonthlyGiftData");
checkRequire("Lua_PersonReadData");
Lua_RaccoonMartProxy = class("Lua_RaccoonMartProxy");
function Lua_RaccoonMartProxy:ctor()
	DataCenter.monthCardData = Lua_MonthCardData.new();
	DataCenter.dailyGiftData = Lua_DailyGiftData.new();
	DataCenter.weeklyGiftData = Lua_WeeklyGiftData.new();
	DataCenter.monthlyGiftData = Lua_MonthlyGiftData.new();
	DataCenter.personReadData = Lua_PersonReadData.new();

	Lua_MsgUtil.addLuaMsg(50196001, self, self.rMonthCardInInfo);
	Lua_MsgUtil.addLuaMsg(50197043, self, self.rDailygiftInInfo);
	Lua_MsgUtil.addLuaMsg(50197012, self, self.rWeeklyGiftInInfo);
	Lua_MsgUtil.addLuaMsg(50197014, self, self.rMonthlyGiftInInfo);
	Lua_MsgUtil.addLuaMsg(50197031, self, self.rPersonReadInfo);
end

------------------------------ 月卡活动 ------------------------------

-- 请求月卡活动的界面信息（返回）
function Lua_RaccoonMartProxy:rMonthCardInInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50196001();
		msg:ParseFromString(mp.data);
		DataCenter.monthCardData:fromServer50196001(msg);
		Lua_MsgUtil.callFunc("UPDATE_MONTHCARD_INFO");
	end
end

-- 请求月卡活动的界面信息
function Lua_RaccoonMartProxy:sMonthCardInInfo()
	sendMsg(10196001);
end

-- 领取月卡奖励 type 领取月卡类型
function Lua_RaccoonMartProxy:sGetMonthCardReward(type)
	local cmd = ProtoPublic_pb.Proto10196002();
	cmd.type = type;
	sendMsg(10196002, cmd);
end










------------------------------ 每日礼包活动 ------------------------------

-- 请求每日礼包界面信息（返回）
function Lua_RaccoonMartProxy:rDailygiftInInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50197043();
		msg:ParseFromString(mp.data);
		DataCenter.dailyGiftData:fromServer50197043(msg);
		Lua_MsgUtil.callFunc("UPDATE_DAILYGIFT_INFO");
	end
end

-- 请求每日礼包界面信息
function Lua_RaccoonMartProxy:sDailyGiftInInfo()
    sendMsg(10197043);
end

-- 请求领取每日礼包 gift_id 领取礼包id
function Lua_RaccoonMartProxy:sGetDailyGiftReward(gift_id)
	local cmd = ProtoPublic_pb.Proto10197044();
	cmd.gift_id = gift_id;
	sendMsg(10197044, cmd);
end










------------------------------ 每周礼包活动 ------------------------------

-- 返回每周礼包界面信息
function Lua_RaccoonMartProxy:rWeeklyGiftInInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50197012();
		msg:ParseFromString(mp.data);
		DataCenter.weeklyGiftData:fromServer50197012(msg);
		Lua_MsgUtil.callFunc("UPDATE_WEEKLYGIFT_INFO");
	end
end

-- 请求每周礼包界面信息
function Lua_RaccoonMartProxy:sWeeklyGiftInInfo()
    sendMsg(10197012);
end

-- 请求领取每周礼包 gift_id 领取礼包id
function Lua_RaccoonMartProxy:sGetWeeklyGiftReward(gift_id)
	local cmd = ProtoPublic_pb.Proto10197013();
	cmd.gift_id = gift_id;
	sendMsg(10197013, cmd);
end










------------------------------ 每月礼包活动 ------------------------------

-- 返回每周礼包界面信息
function Lua_RaccoonMartProxy:rMonthlyGiftInInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50197014();
		msg:ParseFromString(mp.data);
		DataCenter.monthlyGiftData:fromServer50197014(msg);
		Lua_MsgUtil.callFunc("UPDATE_MONTHLYGIFT_INFO");
	end
end

-- 请求每月礼包界面信息
function Lua_RaccoonMartProxy:sMonthlyGiftInInfo()
	sendMsg(10197014);
end

-- 请求领取每月礼包 gift_id 领取礼包id
function Lua_RaccoonMartProxy:sGetMonthlyGiftReward(gift_id)
	local cmd = ProtoPublic_pb.Proto10197015();
	cmd.gift_id = gift_id;
	sendMsg(10197015, cmd);
end










------------------------------ 专属订阅 ------------------------------

-- 请求专属订阅界面（返回）
function Lua_RaccoonMartProxy:rPersonReadInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50197031();
		msg:ParseFromString(mp.data);
		DataCenter.personReadData:fromServer50197031(msg);
		Lua_MsgUtil.callFunc("UPDATE_PERSONREAD_INFO");
	end
end

-------------------- 请求 --------------------
-- 请求专属订阅界面
function Lua_RaccoonMartProxy:sPersonReadInfo()
	sendMsg(10197031);
end

-- 请求专属订阅每日奖励领取
function Lua_RaccoonMartProxy:sDrawPersonReadReward()
	sendMsg(10197032);
end