--排行榜Util
Lua_RankUtil = class("Lua_RankUtil");

function Lua_RankUtil:ctor()
end

function Lua_RankUtil:dispose()
end

function Lua_RankUtil:getTabInfo()
	if self.tabInfo == nil then
		self.tabInfo = Array()
		local config = getConfig("rank_main_tab")
		for _, v in pairs(config) do
			if v.is_shield ~= 1 then
				self.tabInfo:add(v)
			end
		end
	end
	return self.tabInfo
end

function Lua_RankUtil:getTabConfig(id)
	return getConfig("rank_main_tab", id)
end

function Lua_RankUtil:getRankConfig(rankType)
	return getConfig("rank", rankType)
end

function Lua_RankUtil:getRewardConfigArr(type)
	if self._rewardConfigList == nil then
		self._rewardConfigList = {};
		local config = getConfig("rank_plan_reward");
		for _, v in pairs(config) do
			if self._rewardConfigList[v.main_type] == nil then
				self._rewardConfigList[v.main_type] = Array();
			end
			self._rewardConfigList[v.main_type]:add(v);
		end
	end
	return self._rewardConfigList[type];
end