Lua_UpStarOfCycleVo = class("Lua_UpStarOfCycleVo");
function Lua_UpStarOfCycleVo:ctor()
	self:dispose();
end

function Lua_UpStarOfCycleVo:dispose()
	self._freeVo = nil;
	self._rechargeArr = nil;
end

function Lua_UpStarOfCycleVo:initRewardInfo(msg)
	self.quality = msg.quality; -- 质量
	self.qualityStar = msg.quality_star; -- 质量星级

	self.totalFreeTimes = msg.free_cell.limit_times; -- 总免费限购次数
	self.freeGiftId = msg.free_cell.gift_id; -- 礼包id
	self.freeReward = msg.free_cell.reward_item; -- 免费奖励

	self.totalRechargeTimes = msg.recharge_cell.limit_times; -- 总充值限购次数
	self.rechargeId = msg.recharge_cell.gift_id; -- 充值id
	self.rechargeReward = msg.recharge_cell.reward_item; -- 充值奖励
end

function Lua_UpStarOfCycleVo:updateTimes(freeTimes, rechargeTimes)
	self.freeTimes = freeTimes; -- 剩余免费限购次数
	self.rechargeTimes = rechargeTimes; -- 剩余充值限购次数
	for i = 1, self.rechargeArr:getSize() do
		self.rechargeArr[i].times = rechargeTimes;
	end
end

function Lua_UpStarOfCycleVo.Get:freeVo()
	if self._freeVo == nil then
		self._freeVo = Lua_ToolVo.createToolVo(self.freeReward[1].id);
		self._freeVo:fromServer(self.freeReward[1]);
	end
	return self._freeVo;
end

function Lua_UpStarOfCycleVo.Get:rechargeArr()
	if self._rechargeArr == nil then
		self._rechargeArr = Array();

		local tvo;
		for i = 1, #self.rechargeReward do
			tvo = Lua_ToolVo.createToolVo(self.rechargeReward[i].id);
			tvo:fromServer(self.rechargeReward[i]);
			self._rechargeArr:add(tvo);
		end
	end
	return self._rechargeArr;
end